#
# usage:        autofixm.sh
#
# abstract:     This Bourne Shell script attempts to fix the MATLAB
#		variable using the automount map in $MATLAB/bin/.matlabrc.sh
#		
# note(s):	1. This routine must be called using a . (period)
#		2. It ASSUMES that the variables 'MATLAB' and 'Arch' exist 
#		   and are set.
#
# Copyright (c) 1994 by The MathWorks, Inc.
# $Revision: 1.1 $  $Date: 1994/01/13 19:30:44 $
#----------------------------------------------------------------------------
#
    if [ -f $MATLAB/bin/.matlabrc.sh ]; then
#
# Get the automount map for the arch
#
	map=`echo $Arch | cat - $MATLAB/bin/.matlabrc.sh | awk '
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    NR == 1 { arch = $1; archp = arch ")"; state = 0
	      s = "AUTOMOUNT_MAP"; ls = length(s); next }
    $1 == archp { state = 1; next }
    state == 1  { if (index($1, s) != 0 ) {
		     i = index($0, s)
		     print substr($0, i + ls + 1)
		     exit
		 }
	         next }
	       { next }'`
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        if [ "$map" != "" ]; then
	    eval AUTOMOUNT_MAP=$map
            MATLAB=`echo "$MATLAB" "$AUTOMOUNT_MAP" | awk '
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    { if (substr($1,1,length($2)) == $2)
      if (NF == 4)                               # a -> b
          print $NF substr($1,length($2) + 1)
      else                                       # a ->
          print substr($1,length($2) + 1)
      else
         print $1}'`
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        fi
    fi
