#
# usage:        bld_lbin.sh
#
# abstract:     This Bourne Shell script creates links to the MATLAB
#		./bin scripts if desired.
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-95 by The MathWorks, Inc.
# $Revision: 1.16 $  $Date: 1995/04/17 13:27:06 $
#----------------------------------------------------------------------------
#
#         Create symbolic links to the binaries if requested [1, 2, 3]
#         --------------------------------------------------
#
    cd $WD
#
    . $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '       B1. Create symbolic links to scripts in $MATLAB/bin directory'
    echo '       -------------------------------------------------------------'
    echo ''
    echo '    ------------------------------------------------------------------------'
    if [ "$Mex" = "1" ]; then
#------------------------------------------------------------------------------
    echo "    | To make 'matlab', 'cmex', and 'fmex' valid commands on your system,  |"
    echo '    | you have a choice of:                                                |'
    echo '    |                                                                      |'
    echo '    | [a] Creating symbolic links to the $MATLAB/bin scripts in a          |'
#------------------------------------------------------------------------------
    else
#------------------------------------------------------------------------------
    echo "    | To make 'matlab' a valid command on your system you have a           |"
    echo '    | choice of:                                                           |'
    echo '    |                                                                      |'
    echo '    | [a] Creating a symbolic link to the $MATLAB/bin script in a          |'
#------------------------------------------------------------------------------
    fi
    echo '    |     directory of your choice that is already on your UNIX search     |'
    echo '    |     path, or                                                         |'
    echo '    |                                                                      |'
    echo '    | [b] Adding the $MATLAB/bin directory to your UNIX search path.       |'
    echo '    ------------------------------------------------------------------------'
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    mesg='Do you want to create symbolic links to $MATLAB/bin scripts? ([y]/n) '
    . $dir/$echon_sh
    read ans
    if [ "$batch" = "1" ]; then
	echo $ans
    fi
    if [ `expr "//$ans" : '//[Nn].*'` -ne 0 ]; then
	:
    else
#
#		Get the MATLAB binary destination directory
#		-------------------------------------------
#
	. $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo '    ------------------------------------------------------------------------'
echo '    ! Please specify the full pathname of the ACCESS directory for MATLAB. |'
echo '    |                                                                      |'
echo '    | Choose a directory that exists and is appropriate to your needs.     |'
echo '    | Common examples are:  /usr/local/bin /usr/bin                        |'
echo '    |                                                                      |'
    if [ "$Mex" = "1" ]; then
#------------------------------------------------------------------------------
echo '    | The ACCESS directory will contain the following links to scripts     |'
echo '    | built by step A1:                                                    |'
echo '    |                                                                      |'
echo '    |     matlab  -> $MATLAB/bin/matlab                                    |'
echo '    |     cmex    -> $MATLAB/bin/cmex                                      |'
echo '    |     fmex    -> $MATLAB/bin/fmex                                      |'
#------------------------------------------------------------------------------
    else
#------------------------------------------------------------------------------
echo '    | The ACCESS directory will contain the following link to the script   |'
echo '    | built by step A1:                                                    |'
echo '    |                                                                      |'
echo '    |     matlab  -> $MATLAB/bin/matlab                                    |'
#------------------------------------------------------------------------------
    fi
echo '    |                                                                      |'
echo '    ------------------------------------------------------------------------'
echo ''
echo '    Here $MATLAB  = '$MATLAB
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        while true
        do
	    Local_BinDir=''
	    (cd /usr/local/bin) >/dev/null 2>&1
	    if [ $? -eq 0 ]; then
	        Local_BinDir=/usr/local/bin
	    else
	       (cd /usr/bin) >/dev/null 2>&1
	       if [ $? -eq 0 ]; then
	           Local_BinDir=/usr/bin
	       fi
	    fi
	    mesg='MATLAB access directory? (['$Local_BinDir']) '
	    . $dir/$echon_sh
	    read ans
	    if [ "$batch" = "1" ]; then
		echo $ans
	    fi
	    if [ "$ans" != "" ]; then
	        Local_BinDir=$ans
	    fi
	    (cd $Local_BinDir) >/dev/null 2>&1
	    if [ $? -eq 0 ]; then
#
# Be sure that it doesn't put it anywhere inside the MATLAB tree.
#
		savepath=`pwd`
		cd $Local_BinDir
		fullpath=`/bin/pwd`
		cd $ML_ROOT_DIR
	        MLfullpath=`/bin/pwd`
		cd $savepath
		found=`echo "$fullpath $MLfullpath" | awk '
				{ if (index($1, $2) == 1)
				      print 1
				  else
				      print 0 }'`
		if [ "$found" = "0" ]; then
		    break
		else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
    echo "    Sorry! Directory '$Local_BinDir'"
    echo "           is inside the MATLAB directory tree! You can't do that! . . ."
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        	    if [ "$batch" = "1" ]; then
		        . $dir/$abort_sh
		    fi
		fi
	    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
    echo "    Sorry! Directory '$Local_BinDir' does not exist . . ."
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        	if [ "$batch" = "1" ]; then
		    . $dir/$abort_sh
		fi
	    fi
        done
#
# This is not executed on the CDROM ever - no file mapping required.
#
	cd $ML_SCRIPT_DIR
	bin_files=
    	for file in *.bin
	do
            if [ -f $file ]; then
		binscript=`expr "//$file" : '.*/\(.*\)\.bin$'`
                bin_files="$bin_files $binscript"
	    fi
	done
#
        cd $ML_BIN_DIR
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	mesg='Linking to $MATLAB/bin scripts . . . '
	. $dir/$echon_sh
        for file in $bin_files
        do
	    if [ -f $file ]; then
		mesg="$file "
	   	. $dir/$echon_sh
	        if [ -f $Local_BinDir/$file ]; then
		    mv -f $Local_BinDir/$file $Local_BinDir/$file.old
	        fi
	        chmod 755 $ML_BIN_DIR/$file
	        rm -f $Local_BinDir/$file
	        ln -s $ML_BIN_DIR/$file $Local_BinDir/$file
	    fi
        done
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	echo ''
        echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	. $dir/$cont_sh
    fi
