#!/bin/sh
#set -x
# usage:        fcleanpe.sh
#
# abstract:     Final cleaning of the $MATLAB files associated with
#		the piece designated by the value of the environment
#		variable PIECE_PATH. This is ONLY for cleaning out
#		pre 4.2 files. In most cases there is nothing to do
#		since icleanpe.sh was called at an earlier time and
#		handles the cleaning.
#
# note(s):      1. If $MATLAB/update/pd/$piece_path/.b exists then there
#		   is nothing to do.
#
#		2. The following variables must exist in the environment
#
#		       MATLAB
#		       PIECE_PATH
#
#		3. This routine must be called using a . (period)
#
# Copyright (c) 1994-96 by The MathWorks, Inc.
# $Revision: 1.15 $  $Date: 1996/04/16 21:51:08 $
#----------------------------------------------------------------------------
#
    startpath=`/bin/pwd`
    cd $MATLAB
#
# 3 header lines at the beginning of the file
#
    cat > $temp_file4 << EOF
#
cd $MATLAB
#
EOF
    if [ ! -f $MATLAB/update/pd/$PIECE_PATH/.b ]; then 
	case "$PIECE_PATH" in
#	    install)
#		;;
#	    install/sun4)
#		;;
#	    install/hp700)
#		;;
#	    install/sgi)
#		;;
#	    install/ibm_rs)
#		;;
#	    install/dec_risc)
#		;;
#	    install/hp300)
#		;;
#	    install/sol2)
#		;;
#	    install/alpha)
#		;;
#	    install/lnx86)
#		;;
#	    update)
#		;;
#	    update/sun4)
#		;;
#	    update/hp700)
#		;;
#	    update/sgi)
#		;;
#	    update/ibm_rs)
#		;;
#	    update/dec_risc)
#		;;
#	    update/hp300)
#		;;
#	    update/sol2)
#		;;
#	    update/alpha)
#		;;
#	    update/lnx86)
#		;;
	    matlab)
#
# Worry about ./matlab/local. The following files are the only ones
# that can be there initially. Any others are tarred up into a file
# called tar.extra. The previous versions is saved as tar.extra.old.
#
#	.MWLIST
#	.MWLISTcodegen
#	Contents.m
#	docopt.m
#	docopt.m.MW
#	buildopt.m
#	buildopt.m.MW
#	matlabrc.m
#	matlabrc.m.MW
#	printopt.m
#	printopt.m.MW
#	siteid.m
#	siteid.m.skel
#
#       tar.extra
#	tar.extra.old
#
list='.MWLIST
      .MWLISTcodegen
      Contents.m
      docopt.m
      docopt.m.MW
      buildopt.m
      buildopt.m.MW
      matlabrc.m
      matlabrc.m.MW
      printopt.m
      printopt.m.MW
      siteid.m
      siteid.m.skel
      tar.extra
      tar.extra.old'
if [ -d ./toolbox/local ]; then
    ls -d ./toolbox/local/* ./toolbox/local/.* > $temp_file5
    (while read file
     do
        if [ ! -d $file ]; then
	    found=0
            for fileok in $list
	    do
	        if [ "$file" = "./toolbox/local/$fileok" ]; then 
		    found=1
		    break
		fi
	    done
	    if [ "$found" = "0" ]; then
                echo $file >> $temp_file4
	    fi
        fi
     done) < $temp_file5 
fi
#
# Tar up the extra stuff
#
    (cd ./toolbox/local
     filelist=`ls -d * .* 2>/dev/null`
     extrafilelist=
     for file in $filelist
     do
        if [ ! -d $file ]; then
	    found=0
            for fileok in $list
	    do
	        if [ "$file" = "$fileok" ]; then 
		    found=1
		    break
		fi
	    done
	    if [ "$found" = "0" ]; then
                extrafilelist="$extrafilelist $file"
	    fi
        fi
     done
     if [ "$extrafilelist" != "" ]; then
         mv -f tar.extra tar.extra.old > /dev/null 2>&1
         tar -cf tar.extra $extrafilelist
     fi)
		;;
#	    matlab/sun4)
#		;;
#	    matlab/hp700)
#		;;
#	    matlab/sgi)
#		;;
#	    matlab/ibm_rs)
#		;;
#	    matlab/dec_risc)
#		;;
#	    matlab/hp300)
#		;;
#	    matlab/sol2)
#		;;
#	    matlab/alpha)
#		;;
#	    matlab/lnx86)
#		;;
#	    doc)
#		;;
#	    doc/sun4)
#		;;
#	    doc/hp700)
#		;;
#	    doc/sgi)
#		;;
#	    doc/ibm_rs)
#		;;
#	    doc/dec_risc)
#		;;
#	    doc/hp300)
#		;;
#	    doc/sol2)
#		;;
#	    doc/alpha)
#		;;
#	    doc/lnx86)
#		;;
#	    lm)
#		;;
#	    lm/sun4)
#		;;
#	    lm/hp700)
#		;;
#	    lm/sgi)
#		;;
#	    lm/ibm_rs)
#		;;
#	    lm/dec_risc)
#		;;
#	    lm/hp300)
#		;;
#	    lm/sol2)
#		;;
#	    lm/alpha)
#		;;
#	    lm/lnx86)
#		;;
#	    toolbox/matlab)
#		;;
#	    toolbox/matlab/doc)
#		;;
#	    toolbox/matlab/andrew)
#		;;
#	    toolbox/matlab/sun4)
#		;;
#	    toolbox/matlab/hp700)
#		;;
#	    toolbox/matlab/sgi)
#		;;
#	    toolbox/matlab/ibm_rs)
#		;;
#	    toolbox/matlab/dec_risc)
#		;;
#	    toolbox/matlab/hp300)
#		;;
#	    toolbox/matlab/sol2)
#		;;
#	    toolbox/matlab/alpha)
#		;;
#	    toolbox/matlab/lnx86)
#		;;
#	    toolbox/simulink)
#		;;
#	    toolbox/simulink/doc)
#		;;
#	    toolbox/simulink/sun4)
#		;;
#	    toolbox/simulink/hp700)
#		;;
#	    toolbox/simulink/sgi)
#		;;
#	    toolbox/simulink/ibm_rs)
#		;;
#	    toolbox/simulink/dec_risc)
#		;;
#	    toolbox/simulink/hp300)
#		;;
#	    toolbox/simulink/sol2)
#		;;
#	    toolbox/simulink/alpha)
#		;;
#	    toolbox/simulink/lnx86)
#		;;
#	    toolbox/control)
#		;;
#	    toolbox/control/doc)
#		;;
#	    toolbox/ident)
#		;;
#	    toolbox/ident/doc)
#		;;
#	    toolbox/ident/sun4)
#		;;
#	    toolbox/ident/hp700)
#		;;
#	    toolbox/ident/sgi)
#		;;
#	    toolbox/ident/ibm_rs)
#		;;
#	    toolbox/ident/dec_risc)
#		;;
#	    toolbox/ident/hp300)
#		;;
#	    toolbox/ident/sol2)
#		;;
#	    toolbox/ident/alpha)
#		;;
#	    toolbox/ident/lnx86)
#		;;
#	    toolbox/robust)
#		;;
#	    toolbox/robust/doc)
#		;;
#	    toolbox/optim)
#		;;
#	    toolbox/optim/doc)
#		;;
#	    toolbox/splines)
#		;;
#	    toolbox/splines/doc)
#		;;
#	    toolbox/signal)
#		;;
#	    toolbox/signal/doc)
#		;;
#	    toolbox/signal/sun4)
#		;;
#	    toolbox/signal/hp700)
#		;;
#	    toolbox/signal/sgi)
#		;;
#	    toolbox/signal/ibm_rs)
#		;;
#	    toolbox/signal/dec_risc)
#		;;
#	    toolbox/signal/hp300)
#		;;
#	    toolbox/signal/sol2)
#		;;
#	    toolbox/signal/alpha)
#		;;
#	    toolbox/signal/lnx86)
#		;;
#	    toolbox/mmle3)
#		;;
#	    toolbox/mmle3/doc)
#		;;
#	    toolbox/mutools)
#		;;
#	    toolbox/mutools/doc)
#		;;
#	    toolbox/mutools/sun4)
#		;;
#	    toolbox/mutools/hp700)
#		;;
#	    toolbox/mutools/sgi)
#		;;
#	    toolbox/mutools/ibm_rs)
#		;;
#	    toolbox/mutools/dec_risc)
#		;;
#	    toolbox/mutools/hp300)
#		;;
#	    toolbox/mutools/sol2)
#		;;
#	    toolbox/mutools/alpha)
#		;;
#	    toolbox/mutools/lnx86)
#		;;
#	    toolbox/chem)
#		;;
#	    toolbox/chem/doc)
#		;;
#	    toolbox/nnet)
#		;;
#	    toolbox/nnet/doc)
#		;;
#	    toolbox/codegen)
#		;;
#	    toolbox/codegen/doc)
#		;;
#	    toolbox/codegen/sun4)
#		;;
#	    toolbox/codegen/hp700)
#		;;
#	    toolbox/codegen/sgi)
#		;;
#	    toolbox/codegen/ibm_rs)
#		;;
#	    toolbox/codegen/dec_risc)
#		;;
#	    toolbox/codegen/hp300)
#		;;
#	    toolbox/codegen/sol2)
#		;;
#	    toolbox/codegen/alpha)
#		;;
#	    toolbox/codegen/lnx86)
#		;;
#	    toolbox/symbolic)
#		;;
#	    toolbox/symbolic/doc)
#		;;
#	    toolbox/symbolic/lib)
#		;;
#	    toolbox/symbolic/lib64)
#		;;
#	    toolbox/symbolic/sun4)
#		;;
#	    toolbox/symbolic/hp700)
#		;;
#	    toolbox/symbolic/sgi)
#		;;
#	    toolbox/symbolic/ibm_rs)
#		;;
#	    toolbox/symbolic/dec_risc)
#		;;
#	    toolbox/symbolic/hp300)
#		;;
#	    toolbox/symbolic/sol2)
#		;;
#	    toolbox/symbolic/alpha)
#		;;
#	    toolbox/symbolic/lnx86)
#		;;
#	    toolbox/images)
#		;;
#	    toolbox/images/doc)
#		;;
#	    toolbox/images/sun4)
#		;;
#	    toolbox/images/hp700)
#		;;
#	    toolbox/images/sgi)
#		;;
#	    toolbox/images/ibm_rs)
#		;;
#	    toolbox/images/dec_risc)
#		;;
#	    toolbox/images/hp300)
#		;;
#	    toolbox/images/sol2)
#		;;
#	    toolbox/images/alpha)
#		;;
#	    toolbox/images/lnx86)
#		;;
#	    toolbox/ncd)
#		;;
#	    toolbox/ncd/doc)
#		;;
#	    toolbox/stats)
#		;;
#	    toolbox/stats/doc)
#		;;
#	    toolbox/stats/sun4)
#		;;
#	    toolbox/stats/hp700)
#		;;
#	    toolbox/stats/sgi)
#		;;
#	    toolbox/stats/ibm_rs)
#		;;
#	    toolbox/stats/dec_risc)
#		;;
#	    toolbox/stats/hp300)
#		;;
#	    toolbox/stats/sol2)
#		;;
#	    toolbox/stats/alpha)
#		;;
#	    toolbox/stats/lnx86)
#		;;
#	    toolbox/hosa)
#		;;
#	    toolbox/hosa/doc)
#		;;
#	    toolbox/fdident)
#		;;
#	    toolbox/fdident/doc)
#		;;
#	    toolbox/mpc)
#		;;
#	    toolbox/mpc/doc)
#		;;
#	    toolbox/fuzzy)
#		;;
#	    toolbox/fuzzy/doc)
#		;;
#	    toolbox/fuzzy/sun4)
#		;;
#	    toolbox/fuzzy/hp700)
#		;;
#	    toolbox/fuzzy/sgi)
#		;;
#	    toolbox/fuzzy/ibm_rs)
#		;;
#	    toolbox/fuzzy/dec_risc)
#		;;
#	    toolbox/fuzzy/hp300)
#		;;
#	    toolbox/fuzzy/sol2)
#		;;
#	    toolbox/fuzzy/alpha)
#		;;
#	    toolbox/fuzzy/lnx86)
#		;;
#	    toolbox/dspblks)
#		;;
#	    toolbox/dspblks/doc)
#		;;
#	    toolbox/dspblks/sun4)
#		;;
#	    toolbox/dspblks/hp700)
#		;;
#	    toolbox/dspblks/sgi)
#		;;
#	    toolbox/dspblks/ibm_rs)
#		;;
#	    toolbox/dspblks/dec_risc)
#		;;
#	    toolbox/dspblks/hp300)
#		;;
#	    toolbox/dspblks/sol2)
#		;;
#	    toolbox/dspblks/alpha)
#		;;
#	    toolbox/dspblks/lnx86)
#		;;
#	    toolbox/fixpoint)
#		;;
#	    toolbox/fixpoint/doc)
#		;;
#	    toolbox/fixpoint/sun4)
#		;;
#	    toolbox/fixpoint/hp700)
#		;;
#	    toolbox/fixpoint/sgi)
#		;;
#	    toolbox/fixpoint/ibm_rs)
#		;;
#	    toolbox/fixpoint/dec_risc)
#		;;
#	    toolbox/fixpoint/hp300)
#		;;
#	    toolbox/fixpoint/sol2)
#		;;
#	    toolbox/fixpoint/alpha)
#		;;
#	    toolbox/fixpoint/lnx86)
#		;;
#	    toolbox/qft)
#		;;
#	    toolbox/qft/doc)
#		;;
#	    toolbox/nag)
#		;;
#	    toolbox/nag/doc)
#		;;
#	    toolbox/compiler)
#		;;
#	    toolbox/compiler/doc)
#		;;
#	    toolbox/compiler/sun4)
#		;;
#	    toolbox/compiler/hp700)
#		;;
#	    toolbox/compiler/sgi)
#		;;
#	    toolbox/compiler/ibm_rs)
#		;;
#	    toolbox/compiler/sol2)
#		;;
#	    toolbox/compiler/alpha)
#		;;
#	    toolbox/lmi)
#		;;
#	    toolbox/lmi/doc)
#		;;
#	    toolbox/finance)
#		;;
#	    toolbox/finance/doc)
#		;;
#	    toolbox/pde)
#		;;
#	    toolbox/pde/doc)
#		;;
#	    toolbox/pde/sun4)
#		;;
#	    toolbox/pde/hp700)
#		;;
#	    toolbox/pde/sgi)
#		;;
#	    toolbox/pde/ibm_rs)
#		;;
#	    toolbox/pde/dec_risc)
#		;;
#	    toolbox/pde/hp300)
#		;;
#	    toolbox/pde/sol2)
#		;;
#	    toolbox/pde/alpha)
#		;;
#	    toolbox/pde/lnx86)
#		;;
#	    mathlib)
#		;;
#	    mathlib/doc)
#		;;
#	    mathlib/sun4)
#		;;
#	    mathlib/hp700)
#		;;
#	    mathlib/sgi)
#		;;
#	    mathlib/ibm_rs)
#		;;
#	    mathlib/sol2)
#		;;
#	    mathlib/alpha)
#		;;
#	    ada)
#		;;
#	    ada/doc)
#		;;
#	    ada/sun4)
#		;;
#	    ada/hp700)
#		;;
#	    ada/sgi)
#		;;
#	    ada/ibm_rs)
#		;;
#	    ada/dec_risc)
#		;;
#	    ada/hp300)
#		;;
#	    ada/sol2)
#		;;
#	    ada/alpha)
#		;;
#	    ada/lnx86)
#		;;
#	    applink)
#		;;
#	    applink/doc)
#		;;
#	    applink/sun4)
#		;;
#	    applink/hp700)
#		;;
#	    applink/sgi)
#		;;
#	    applink/ibm_rs)
#		;;
#	    applink/dec_risc)
#		;;
#	    applink/hp300)
#		;;
#	    applink/sol2)
#		;;
#	    applink/alpha)
#		;;
#	    applink/lnx86)
#		;;
#	    toolbox/wavelet)
#		;;
#	    toolbox/wavelet/doc)
#		;;
#	    toolbox/comm)
#		;;
#	    toolbox/comm/doc)
#		;;
#	    toolbox/comm/sun4)
#		;;
#	    toolbox/comm/hp700)
#		;;
#	    toolbox/comm/sgi)
#		;;
#	    toolbox/comm/ibm_rs)
#		;;
#	    toolbox/comm/dec_risc)
#		;;
#	    toolbox/comm/hp300)
#		;;
#	    toolbox/comm/sol2)
#		;;
#	    toolbox/comm/alpha)
#		;;
#	    toolbox/comm/lnx86)
#		;;
	    *)
		:
		;;
	esac
    fi
#
# Skip over the first 3 lines which are not file/directories
#
    sed -e '4,$s/^/rm -rf /' -e '4,$s%$% > /dev/null 2>\&1%' $temp_file4 > $temp_file5
    chmod +x $temp_file5
#
    . $temp_file5
    cd $startpath
    rm -f $temp_file4 $temp_file5 > /dev/null 2>&1
