#
# usage:        fin.sh
#
# abstract:     This Bourne Shell script outputs messages at the end
#		of an installation.
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-95 by The MathWorks, Inc.
# $Revision: 1.10 $  $Date: 1995/11/13 13:30:52 $
#----------------------------------------------------------------------------
#
#			Finished install [2]
#			----------------
    . $dir/$cleanup_sh
    if [ "$mathlib_only" = "1" ]; then
#
# Set trap to ignore signals
#
	trap "" 1 2 3 15
#
# Standalone mathlib: (clean out except for)
#
#    $MATLAB/install_matlab
#    $MATLAB/install
#    $MATLAB/extern
#
#    mv $MATLAB/etc/license.dat $MATLAB/license.dat.mathlib
#
	list='README.first
	      README.install
	      .scripts
	      batch.boot
	      etc
	      ghostscript
	      info
	      install.a4.ps.Z
	      install.ps.Z
	      update'
	if [ -f $MATLAB/etc/license.dat ]; then
#
# Clean out any unused FEATURE lines when making the copy
#
	    cat $MATLAB/etc/license.dat | sed \
		-e "/0123456789ABCDEFGHI/d" > $MATLAB/license.dat.mathlib
	fi
	for path in $list
        do
	    rm -rf $MATLAB/$path > /dev/null 2>&1
	done
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo "    Note: Cleanup for standalone 'mathlib' ..."
echo '' 
echo '          ONLY extern directory and license file will remain ...'
echo ''
echo "          License file saved in 'license.dat.mathlib'" 
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    fi
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo '    ---------------------------------------------------------------------'
echo '    | Finished! This completes the:                                     |'
echo '    |                                                                   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    case "$whichi" in
	1)
	   if [ "$extract_only" = "1" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                  NORMAL install (update only)                     |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	   else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                  NORMAL install                                   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	   fi
	   ;;
	2)
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                  CLIENT install                                   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	   ;;
	3)
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                  CLIENT WITH LICENSE MANAGER install              |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	   ;;
	4)
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                  LICENSE MANAGER ONLY install                     |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	   ;;
    esac
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |           for this host.                                          |'
echo '    ---------------------------------------------------------------------'
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#
    if [ "$mathlib_only" = "1" ]; then
#
# Standalone mathlib: (clean out the install)
#
#    $MATLAB/install_matlab
#    $MATLAB/install
#
	exec /bin/rm -rf $MATLAB/install_matlab $MATLAB/install
    fi
    exit 0
