#
# usage:        intro_s.sh
#
# abstract:     This Bourne Shell script outputs the normal install
#               introduction. 
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-95 by The MathWorks, Inc.
# $Revision: 1.17 $  $Date: 1995/05/02 14:03:58 $
#----------------------------------------------------------------------------
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo "                     Welcome to MATLAB $version NORMAL Install"
echo ''
echo 'Be prepared to provide MATLAB system configuration information for the tasks:'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    if [ "$License" = "1" ]; then 
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	if [ "$usermode" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   ALWAYS DONE -                                                   |'
echo '    |  A1. Create scripts in $MATLAB/bin directory                      |'
echo '    |  A2. Rename M-files in $MATLAB/toolbox/local directory            |'
echo '    |  A3. Customize siteid M-file in $MATLAB/toolbox/local directory   |'
echo '    |                                                                   |'
echo '    |   OPTIONAL (asked first) -                                        |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    if [ "$minimal_install" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |  B1. Create symbolic links to scripts in $MATLAB/bin directory    |'
echo '    |  B2. Copy MATLAB man pages                                        |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |  B3. Install the FLEXlm Network License Manager                   |'
echo '    |                                                                   |'
echo '    |   ALWAYS DONE (if license manager is installed) -                 |'
echo '    |  C1. Create scripts in $MATLAB/etc directory                      |'
echo '    |  C3. Create template license.dat file in $MATLAB/etc directory    |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    if [ "$minimal_install" = "0" ]; then
		if [ "$Arch" != "lnx86" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   OPTIONAL (asked first if license manager is installed) -        |'
echo '    |  C2. Build symbolic link from /etc/lmboot -> $MATLAB/etc/lmboot   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		fi
	    fi
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   ALWAYS DONE -                                                   |'
echo '    |  A1. Create scripts in $MATLAB/bin directory                      |'
echo '    |  A2. Rename M-files in $MATLAB/toolbox/local directory            |'
echo '    |  A3. Customize siteid M-file in $MATLAB/toolbox/local directory   |'
echo '    |                                                                   |'
echo '    |   OPTIONAL (asked first) -                                        |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    if [ "$minimal_install" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    | *B1. Create symbolic links to scripts in $MATLAB/bin directory    |'
echo '    | *B2. Copy MATLAB man pages                                        |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |  B3. Install the FLEXlm Network License Manager                   |'
echo '    |                                                                   |'
echo '    |   ALWAYS DONE (if license manager is installed) -                 |'
echo '    |  C1. Create scripts in $MATLAB/etc directory                      |'
echo '    |  C3. Create template license.dat file in $MATLAB/etc directory    |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    if [ "$minimal_install" = "0" ]; then
		if [ "$Arch" != "lnx86" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   SKIPPED (you are not root user) -                               |'
echo '    | +C2. Build symbolic link from /etc/lmboot -> $MATLAB/etc/lmboot   |'
echo '    ---------------------------------------------------------------------'
echo "'*' means root access maybe required. '+' means root access is required."
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo "'*' means root access maybe required."
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		fi
	    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
	fi
    else
         if [ "$usermode" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   ALWAYS DONE -                                                   |'
echo '    |  A1. Create scripts in $MATLAB/bin directory                      |'
echo '    |  A2. Rename M-files in $MATLAB/toolbox/local directory            |'
echo '    |  A3. Customize siteid M-file in $MATLAB/toolbox/local directory   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    if [ "$minimal_install" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   OPTIONAL (asked first) -                                        |'
echo '    |  B1. Create symbolic links to scripts in $MATLAB/bin directory    |'
echo '    |  B2. Copy MATLAB man pages                                        |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   ALWAYS DONE -                                                   |'
echo '    |  A1. Create scripts in $MATLAB/bin directory                      |'
echo '    |  A2. Rename M-files in $MATLAB/toolbox/local directory            |'
echo '    |  A3. Customize siteid M-file in $MATLAB/toolbox/local directory   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    if [ "$minimal_install" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   OPTIONAL (asked first) -                                        |'
echo '    | *B1. Create symbolic links to scripts in $MATLAB/bin directory    |'
echo '    | *B2. Copy MATLAB man pages                                        |'
echo '    ---------------------------------------------------------------------'
echo "'*' means root access maybe required."
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
	fi
    fi
