#
# usage:        lm.sh
#
# abstract:     This Bourne Shell script installs the license manager.
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-94 by The MathWorks, Inc.
# $Revision: 1.33 $  $Date: 1995/05/02 13:37:52 $
#----------------------------------------------------------------------------
#
#		Install License Manager [1, 2, 3]
#               -----------------------
#
    . $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '             B3. Install the FLEXlm Network License Manager'
    echo '             ----------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#
# Install lmhostid script since the matlab script requires it.
#
    cd $ML_SCRIPT_DIR
    file=$lmhostid_etc
    if [ -f $file ]; then
	etcscript='lmhostid'
	if [ -f $ML_ETC_DIR/$etcscript ]; then
	    mv -f $ML_ETC_DIR/$etcscript $ML_ETC_DIR/${etcscript}.old
	fi
	cat $file | awk ' BEGIN {
	    quote = sprintf ("%c", 39)
	    dquote = sprintf ("%c", 34)
	    linea = "echo " quote "Please run " dquote "install_matlab" dquote " before trying to run this script" quote
	    lineb = "exit 1"; state = 0 }
	    NR == 1 { if ( substr ($1, 1, 1) == "#" )
			{ print; savenext = 1; next }
		    }
	    NR == 2 { if ( savenext == 1 )
			{ print; next }
		    }
	    linea == $0 { next }
	    lineb == $0 { if ( state == 0 ) state = 1; else print; next }
	    $0 == "#! /bin/sh" { if ( savenext == 1 )
				     next
				 else
				     { print; next }
				}
		    { print }' > $ML_ETC_DIR/$etcscript
	chmod 755 $ML_ETC_DIR/$etcscript
    fi
#
    archlist='sun4 hp700 sgi ibm_rs dec_risc hp300 sol2 alpha lnx86'
    if [ ! -d $ML_ETC_DIR/$Arch ]; then
	otherarch=''
	for tryarch in $archlist
	do
	    if [ -d $ML_ETC_DIR/$tryarch ]; then
		otherarch="$otherarch $tryarch"
	    fi
	done
	if [ "$otherarch" != "" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
    echo '    We found license manager executables for at least one architecture . . .'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
    echo '    We found no license manager manager executables for any architecture . . .'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    . $dir/$fin_sh
	fi
    fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo '    ----------------------------------------------------------------------'
echo '    | NOTE: A pre-existing license file (license.dat) in the $MATLAB/etc |'
echo '    |       directory will be PRESERVED by this installation.            |'
echo '    |                                                                    |'
echo '    |       If you need to install the license manager at a later time   |'
echo '    |       or on another host run this install program again selecting  |'
echo "    |       the 'LICENSE MANAGER ONLY' install option.                   |"
echo '    ----------------------------------------------------------------------'
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#
# Check for a demo license. The condition is that all noncommented
# FEATURE lines except TWM_Archive must have DEMO in the last field
# to be considered a DEMO license. Return the date on the first FEATURE
# line other than TWM_Archive if a DEMO file.
#
     if [ -f $ML_ETC_DIR/license.dat ]; then
         ExpireDate=`cat $ML_ETC_DIR/license.dat | awk '
		BEGIN { state = 1; first = 1 }
		$1 != "FEATURE" { next }
		$2 == "TMW_Archive" { next }
		    { if ( $NF != "DEMO" ) {
			  state = 0
			  exit
		      }
		      else if (first == 1) {
			  expiredate = $5
			  first = 0 
		      }}
		END { if (state == 1) print expiredate }'`
         if [ "$ExpireDate" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '    There is a EXISTING license.dat file and it appears to be a' 
    echo '    DEMO license with expiration date:'
    echo ''
    echo "                          $ExpireDate"
    echo ''
    echo '    You are NOT required to install the license manager for a DEMO'
    echo '    license.'
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	fi
    fi
#
    mesg='Install the MATLAB FLEXlm License Manager? ([y]/n) '
    . $dir/$echon_sh
    read ans
    if [ "$batch" = "1" ]; then
        echo $ans
    fi
    if [ `expr "//$ans" : '//[Nn].*'` -gt 0 ]; then
        . $dir/$clearsc_sh
	. $dir/$fin_sh
    fi
#
    . $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '                C1. Create scripts in $MATLAB/etc directory'
    echo '                -------------------------------------------'
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    mesg='Creating $MATLAB/etc scripts . . .  '
    . $dir/$echon_sh 
    cd $ML_SCRIPT_DIR
    etc_files=
    n=1
#
# Assume you cannot write in $ML_SCRIPT_DIR. lmvendor is the 8.3 name of
# lm_matlab. Change it to lm_matlab if you find it. Watch out for
# ISO 9660 names.
#
    for file in *.etc* *.ETC*
    do
	if [ -f $file ]; then
	    etcscript=`expr "//$file" : '.*/\(.*\)\..*$'`
	    etcscript=`echo $etcscript |  tr 'A-Z' 'a-z'`
	    if [ "$etcscript" = "lmvendor" ]; then
		etcscript=lm_matlab
	    fi
	    if [ -f $ML_ETC_DIR/$etcscript ]; then
		mv -f $ML_ETC_DIR/$etcscript $ML_ETC_DIR/${etcscript}.old
	    fi
	    etc_files="$etc_files $etcscript"
	    cat $file | awk ' BEGIN {
		quote = sprintf ("%c", 39)
		dquote = sprintf ("%c", 34)
		linea = "echo " quote "Please run " dquote "install_matlab" dquote " before trying to run this script" quote
		lineb = "exit 1"; state = 0 }
		NR == 1 { if ( substr ($1, 1, 1) == "#" )
			     { print; savenext = 1; next }
			}
		NR == 2 { if ( savenext == 1 )
			     { print; next }
			}
		linea == $0 { next }
		lineb == $0 { if ( state == 0 ) state = 1; else print; next }
		$0 == "#! /bin/sh" { if ( savenext == 1 )
					next
				     else
					{ print; next }
				   }
		          { print }' > $ML_ETC_DIR/$etcscript
	    chmod 755 $ML_ETC_DIR/$etcscript
#
            if [ $n -lt 4 ]; then
                mesg="$etcscript  "
                . $dir/$echon_sh
                n=`expr $n + 1`
            elif [ $n -eq 4 ]; then
                echo "$etcscript  "
                n=5
            else
                mesg="                                    $etcscript  "
                . $dir/$echon_sh
                n=2
            fi
	fi
    done
    if [ $n -ne 5 ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    fi
#
    . $dir/$cont_sh
#
    if [ "$Arch" = "lnx86" ]; then
        if [ "$batch" = "1" ]; then
            read ans
	fi
    elif [ "$minimal_install" != "1" ]; then
        . $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '       C2. Build symbolic link from /etc/lmboot -> $MATLAB/etc/lmboot'
    echo '       --------------------------------------------------------------'
    echo ''
    echo '    ------------------------------------------------------------------------'
    echo '    | If you want to be able to reboot your machine and have the license   |'
    echo '    | manager running after the reboot you need to create a link file      |'
    echo '    | called /etc/lmboot that points to the $MATLAB/etc/lmboot file. This  |'
    echo '    | link file is OUTSIDE the MATLAB root directory and REQUIRES root     |'
    echo '    | privilege to create.                                                 |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        if [ "$usermode" != "1" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '    | You have the choice of creating the symbolic link:                   |'
    echo '    |      [a] Now.                                                        |'     
    echo '    |      [b] After the install is finished.                              |'
    echo '    ------------------------------------------------------------------------'
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            mesg='Do you want to create the symbolic link now? ([y]/n) '
            . $dir/$echon_sh
            read ans
            if [ "$batch" = "1" ]; then
                echo $ans
            fi
            if [ `expr "//$ans" : '//[Nn].*'` -ne 0 ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
    echo '    ------------------------------------------------------------------------'
    echo '    |  To create the link after the install is finished, execute the       |'
    echo '    |  the following UNIX command as root user:                            |'
    echo '    |                         $MATLAB/etc/lmboot -s                        |'
    echo '      $MATLAB = '$MATLAB
    echo '    ------------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    	        . $dir/$cont_sh
            else
                rm -rf /etc/lmboot > /dev/null 2>&1
                ln -s $MATLAB/etc/lmboot /etc/lmboot
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
    echo '    /etc/lmboot -> $MATLAB/etc/lmboot link created . . .'
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    	        . $dir/$cont_sh
	    fi
        else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '    ------------------------------------------------------------------------'
    echo ''
    echo '    Skipped. Not root user . . .'
    echo ''
    echo '    ------------------------------------------------------------------------'
    echo '    | To create the link after the install is finished, first become root  |'
    echo '    | user, and then execute the following command at the UNIX prompt:     |'
    echo '    |                                                                      |'
    echo '    |         $MATLAB/etc/lmboot -s                                        |'
    echo '    |                                                                      |'
    echo '      $MATLAB = '$MATLAB
    echo '    |                                                                      |'
    echo '    ------------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            . $dir/$cont_sh
        fi
    fi
#
    . $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '               C3. Create license.dat file in $MATLAB/etc directory'
    echo '               ----------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    cd $ML_ETC_DIR
    file=license.dat
#
    cmd="hostname"
    . $dir/$searchp_sh
    if [ "$pathlist" = "" ]; then
        Hostname=`uname -n`
    else
        Hostname=`hostname`
    fi
#
    if [ "$Arch" != "lnx86" ]; then
        HostID=`$lmhostid_exe | sed -e "1d" -e '2s/^[^"]*"//' -e '2s/".*//'`
        merged=0
        if [ ! -f ./license.dat ]; then
	    sed -e "s%|>HOSTNAME<|%$Hostname%g" \
   	        -e "s%|>HOST_ID<|%$HostID%g" \
	        -e "s%|>MATLAB_ROOT_DIR<|%$MATLAB%g" \
   	            $file.skel > $file
	    chmod 644 $file
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo "    Created skeleton 'license.dat' file . . ."
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#
# Merge in license passcode file if it exists in $MATLAB.
#
	    File=$MATLAB/license.dat
	    . $dir/$actualp_sh
	    if [ "$Filepath" != "" ]; then
	        cat $MATLAB/etc/license.dat > $temp_file
	        echo 'EOF' >> $temp_file
	        cat $temp_file $MATLAB/license.dat | awk '
#----------------------------------------------------------------------------
    BEGIN { state = 0; nc = 0; nf = 0 }
    $1 == "EOF" { state = 1; next }
	{ if (state == 0 ) { 
	      if ($1 == "SERVER") server = $0
	      if ($1 == "DAEMON") daemon = $0
	  }
	  else if ($1 == "#" && (index($2,"BEGIN") != 1 && index($2,"END") != 1)) {
	      nc = nc + 1
	      comment[nc] = $0
	  }
	  else if ($1 == "FEATURE") {
	      nf = nf + 1
	      feature[nf] = $0
	  }
	  next
	}
    END { if (nc > 0) for (i = 1; i <= nc; i = i + 1) print comment[i]
          if (server != "") print server
	  if (daemon != "") print daemon
          if (nf > 0) for (i = 1; i <= nf; i = i + 1) print feature[i]
	}' > $temp_file2
#----------------------------------------------------------------------------
	        mv $temp_file2 $MATLAB/etc/license.dat
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo "    Merged in 'license.dat' file found in "'$MATLAB . . .'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	        rm -f $MATLAB/license.dat > /dev/null 2>&1
	        merged=1
	    fi
        else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo "    Did not create skeleton 'license.dat' file . . ."
    echo '    One already exists . . .'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        fi
    else
        HostID='unknown'
        merged=0
        if [ ! -f ./license.dat ]; then
	    sed -e "s%|>HOST_ID<|%$HostID%g" \
   	            $file.skel.lnx86 > $file
	    chmod 644 $file
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo "    Created skeleton 'license.dat' file . . ."
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#
# Merge in license passcode file if it exists in $MATLAB.
#
	    File=$MATLAB/license.dat
	    . $dir/$actualp_sh
	    if [ "$Filepath" != "" ]; then
	        cat $MATLAB/etc/license.dat > $temp_file
	        echo 'EOF' >> $temp_file
	        cat $temp_file $MATLAB/license.dat | awk '
#----------------------------------------------------------------------------
    BEGIN { state = 0; nc = 0; nf = 0 }
    $1 == "EOF" { state = 1; next }
	{ if (state == 0 ) { 
	      if ($1 == "SERVER") server = $0
	      if ($1 == "DAEMON") daemon = $0
	  }
	  else if ($1 == "#" && (index($2,"BEGIN") != 1 && index($2,"END") != 1)) {
	      nc = nc + 1
	      comment[nc] = $0
	  }
	  else if ($1 == "FEATURE") {
	      nf = nf + 1
	      feature[nf] = $0
	  }
	  next
	}
    END { if (nc > 0) for (i = 1; i <= nc; i = i + 1) print comment[i]
          if (server != "") print server
	  if (daemon != "") print daemon
          if (nf > 0) for (i = 1; i <= nf; i = i + 1) print feature[i]
	}' > $temp_file2
#----------------------------------------------------------------------------
	        mv $temp_file2 $MATLAB/etc/license.dat
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo "    Merged in 'license.dat' file found in "'$MATLAB . . .'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	        rm -f $MATLAB/license.dat > /dev/null 2>&1
	        merged=1
	    fi
        else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo "    Did not create skeleton 'license.dat' file . . ."
    echo '    One already exists . . .'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        fi
    fi
#
    if [ "$merged" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '  ----------------------------------------------------------------------------'
echo '  | After completing this install program edit the $MATLAB/etc/license.dat   |'
echo '  | file and make it match the relevant parts of the license passcode file   |'
echo '  | sent to you via E-mail or FAX. Skip this step if you were able to do it  |'
echo '  | earlier. If you did not receive this license passcode file or you think  |'
echo '  | you need more recent license passcode data PLEASE contact:               |'
echo '  |                                                                          |'
echo '  |           The MathWorks, Inc.           (508) 653-1415                   |'
echo '  |    email: service@mathworks.com     FAX (508) 653-2997                   |'
echo '  |                                                                          |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	if [ "$Arch" != "lnx86" ]; then 
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo "  | Have available the 'lmhostid' string for your license server.            |"
echo "              The 'lmhostid' for this host($Hostname) is :   $HostID"
echo '  | If your license server is another host, login to that host and in the    |'
echo "  | MATLAB root directory run the command, './install_matlab -l'             |"
echo '  |                                                                          |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	fi
echo '  | See the MATLAB installation guide for the structure of the license file. |'
echo '  ----------------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    fi
    . $dir/$cont_sh
#
    if [ "$Arch" != "lnx86" ];then
        . $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo "                   Starting/Stopping the License Manager"
echo '   ----------------------------------------------------------------------'
echo '   | If you license file requires you run the license manager then at   |'
echo '   | the UNIX prompt, login to your license manager host. Change your   |'
echo '   | directory to $MATLAB/etc and execute the command:                  |'
echo '   |                                                                    |'
echo '   | (as root user)                                                     |'
echo '   |                                                                    |'
echo '   |         lmstart                  (to start the license manager)    |'
echo '   |         lmdown                   (to stop the license manager)     |'
echo '   |                                                                    |'
echo '   | (as non-root user)                                                 |'
echo '   |                                                                    |'
echo '   |         lmstart -l logfile       (to start the license manager)    |'
echo '   |         lmdown  -l logfile       (to stop the license manager)     |'
echo '   |                                                                    |'
echo '   | where logfile is the name of the logfile writeable by the non-root |'
echo "   | user. The same user that executed 'lmstart' should ALWAYS execute  |"
echo "   | 'lmdown'.                                                          |"
echo '    ---------------------------------------------------------------------'
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        . $dir/$cont_sh
    fi
#
    case "$Arch" in
	sun4|hp700)
            oldlist=`grep 'MATLAB=' /etc/*rc* | awk '
		     BEGIN { oldlist = "" ; lastfile = "" }
                     {nextfile = substr($1, 1, index($1,":") - 1)
                      if ( nextfile != lastfile ) {
                          oldlist = oldlist " " lastfile
                          lastfile = nextfile
                      }}
                      END { if (lastfile != "" ) oldlist = oldlist " " lastfile
                            print oldlist }'`
	    if [ "$oldlist" != "" ]; then
    		. $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo '    OLD MATLAB 4.0 boot code fragment(s) found in files . . .'
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		for i in $oldlist
		do
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo  "        $i"
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		done
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo '    ---------------------------------------------------------------------'
echo '    | IMPORTANT: The code fragment to start up the license manager at   |'
echo '    |            machine boot time CHANGED from 4.0 to 4.0a.            !'
echo '    |                                                                   |'
echo '    |            Be sure to remove any old code fragment(s) and insert  |'
echo '    |            the new code fragment according to the directions in   |'
echo '    |            the new Installation Guide.                            |'
echo '    ---------------------------------------------------------------------'
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                . $dir/$cont_sh
	    fi
	    ;;
	*)
	    ;;
    esac
