#! /bin/sh
#
# usage:        local.sh
#
# abstract:     This Bourne Shell script moves .MW files to .m files if
#		.m files do not exit and creates siteid.m from
#		siteid.m.skel all in the ./toolbox/local directory.
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-94 by The MathWorks, Inc.
# $Revision: 1.14 $  $Date: 1994/10/12 13:47:16 $
#----------------------------------------------------------------------------
#
#			Rename M-files in toolbox/local [1]
#			-------------------------------
#
    . $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '          A2. Rename M-files in $MATLAB/toolbox/local directory'
    echo '          -----------------------------------------------------'
    echo ''
    echo 'Rename M-files in toolbox/local from .m.MW to .m extension . . .'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#
    cd $ML_TOOLBOX_DIR/local
#
# Do not overwrite any local M-files with the same names.
#
    movelist=''
    unmovelist=''
    for file in *
    do
	if [ "`expr "$file" : '.*\.\([^\.]*\)$'`" = "MW" ]; then
	    M_file=`expr "//$file" : '.*/\(.*\)\.MW$'`
	    if [ ! -f $M_file ]; then
		mv -f $M_file.MW $M_file
		movelist="$movelist $M_file"
	    else
		unmovelist="$unmovelist $M_file"
	    fi
	fi
    done
    if [ "$movelist" = '' -a "$unmovelist" = '' ]; then
#
# Read the .MWLIST* files to get the MathWorks provided files.
#
	unmovelist=`cat .MWLIST* | awk '
			{ file = substr ($1, 1, length($1) - 3)
			  printf ("%s ", file) }'`  
    fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    if [ "$movelist" -a "$unmovelist" = '' ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	mesg='    Files created:      '
        . $dir/$echon_sh
        n=1
        for file in $movelist
	do
            if [ $n -lt 4 ]; then
		mesg="$file  "
                . $dir/$echon_sh
                n=`expr $n + 1`
            elif [ $n -eq 4 ]; then
                echo "$file"
                n=5
            else
		mesg="                        $file  "
                . $dir/$echon_sh
                n=2
            fi
	done
	if [ $n -ne 5 ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	fi
    elif [ "$movelist" = '' -a "$unmovelist" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	mesg='    Files unchanged:  '
        . $dir/$echon_sh
        n=1
        for file in $unmovelist
	do
            if [ $n -lt 4 ]; then
		mesg="$file  "
                . $dir/$echon_sh
                n=`expr $n + 1`
            elif [ $n -eq 4 ]; then
                echo "$file"
                n=5
            else
		mesg="                        $file  "
                . $dir/$echon_sh
                n=2
            fi
	done
	if [ $n -ne 5 ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	fi
    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
        echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	mesg='    Files created:      '
        . $dir/$echon_sh
        n=1
        for file in $movelist
	do
            if [ $n -lt 4 ]; then
		mesg="$file  "
                . $dir/$echon_sh
                n=`expr $n + 1`
            elif [ $n -eq 4 ]; then
                echo "$file"
                n=5
            else
		mesg="                        $file  "
                . $dir/$echon_sh
                n=2
            fi
	done
	if [ $n -ne 5 ]; then
	    echo ''
	fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	mesg='    Files unchanged:  '
        . $dir/$echon_sh
        n=1
        for file in $unmovelist
	do
            if [ $n -lt 4 ]; then
		mesg="$file  "
                . $dir/$echon_sh
                n=`expr $n + 1`
            elif [ $n -eq 4 ]; then
                echo "$file"
                n=5
            else
		mesg="                        $file  "
                . $dir/$echon_sh
                n=2
            fi
	done
	if [ $n -ne 5 ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	fi
    fi
    if [ "$unmovelist" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo '    ---------------------------------------------------------------------'
echo '    |  NOTE: Existing .m files are NEVER overwritten by corresponding   |'
echo '    |        .m.MW files.                                               |'
echo '    ---------------------------------------------------------------------'
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    fi
#
#			Inquire for License Number [1]
#			--------------------------
     . $dir/$cont_sh
#
     while true
     do
     . $dir/$clearsc_sh
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo '    A3. Customize siteid M-file in $MATLAB/toolbox/local directory'
    echo '    --------------------------------------------------------------'
    echo ''
    echo 'Create siteid.m in toolbox/local . . .'
    echo ''
    echo '    Please enter your MATLAB site ID . . .'
    echo ''
    echo '    This should be a number available on your tape media or other'
    echo '    documentation. If none is available or if you do not know'
    echo '    what this is simply type a string appropriate to the situation.'
    echo '    For example, common strings are:' 
    echo ''
    echo '        trial      demo      unknown'
    echo ''
    echo '    NOTE: This ID allows The MathWorks to internally reference'
    echo '          your account when you call for technical support or other'
    echo "          service. The MATLAB 'siteid' command displays its value." 
    echo ''
    echo '    If you need to fix the value at a later time simply reinstall'
    echo '    or edit the file $MATLAB/toolbox/local/siteid.m'
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	mesg="MATLAB Site ID= [...] "
        . $dir/$echon_sh
	read SiteidNum
	if [ "$batch" = "1" ]; then
	    echo $SiteidNum
	fi
	if [ "$SiteidNum" ]; then
	    break
	else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	fi
    done
#
#			Create siteid.m in toolbox/local [1]
#			--------------------------------
#
    file=siteid.m
    sed -e "s%|>SITE_ID<|%$SiteidNum%g" \
	$file.skel > $file
    chmod 644 $file
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    echo ''
    echo '    siteid.m created . . .'
    echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    . $dir/$cont_sh
