#
# usage:        mapname.sh
#
# abstract:     This Bourne shell script maps the filenames to the
#		proper names. This is all necessary because of the
#		CDROM.
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1994-95 by The MathWorks, Inc.
# $Revision: 1.17 $  $Date: 1995/05/02 14:49:56 $
#----------------------------------------------------------------------------
#
# Map names
#
    if [ "$CD_LM_INSTALL" != "" ]; then 	# on the CDROM 
	case "$TMW_CD_FORMAT" in
		sun)
#---------------------------------------------------------------------------
#
# Directory mappings
#
		    etc_dir=$dir/etc
        	    scripts_dir=$dir/lscripts
#
# Install shell script mappings
#
		    abort_sh=abort.sh
		    actualp_sh=actualp.sh
		    arch_sh=arch.sh
		    bld_lbin_sh=bld_lbin.sh
		    bld_sbin_sh=bld_sbin.sh
		    cleanup_sh=cleanup.sh
		    clearsc_sh=clearsc.sh
		    cont_sh=cont.sh
		    echon_sh=echon.sh
		    fcleanpe_sh=fcleanpe.sh
		    fin_sh=fin.sh
		    getlmhid_sh=getlmhid.sh
		    getver_sh=getver.sh
		    icleanpe_sh=icleanpe.sh
		    intro_c_sh=intro_c.sh
		    intro_cl_sh=intro_cl.sh
		    intro_l_sh=intro_l.sh
		    intro_s_sh=intro_s.sh
		    lm_sh=lm.sh
		    local_sh=local.sh
		    main_sh=main.sh
		    man_sh=man.sh
		    mapname_sh=mapname.sh
		    mklicdat_sh=mklicdat.sh
		    netruser_sh=netruser.sh
		    options_sh=options.sh
		    perm_sh=perm.sh
		    ruser_sh=ruser.sh
		    searchp_sh=searchp.sh
		    tbxquery_sh=tbxquery.sh
		    ucleanpe_sh=ucleanpe.sh
		    undotarZ_sh=undotarZ.sh
		    update_sh=update.sh
		    verifyp_sh=verifyp.sh
		    version_sh=version.sh
		    welcome1_sh=welcome1.sh
		    welcome2_sh=welcome2.sh
		    whichi_sh=whichi.sh
#
		    cktmw_al_sh=cktmw_al.sh
		    decryptl_sh=decryptl.sh
		    tmw_alsc_sh=tmw_alsc.sh
		    trewind_sh=trewind.sh
#
# Script name mappings (for lm.sh)
#
    		    lmhostid_etc=lmhostid.etc
#
# Other command mappings (for lm.sh)
#
		    lmhostid_exe='./lmhostid.'			  # needs .
#
# lmhostid mappings (Export to the Environment)
#
		    etc_arch_dir="$etc_dir/$LOCAL_ARCH"; export etc_arch_dir
		    etc_arch_sh="$etc_dir/util/arch.sh"; export etc_arch_sh
		    etc_arch_lmhostid="$etc_dir/$LOCAL_ARCH/lmhostid."
		        export etc_arch_lmhostid 		  # needs .
#
# etc mappings (for getlmhid.sh, mklicdat.sh)
#
		    etc_lmhostid_exe="$etc_dir/lmhostid."	  # needs .
		    etc_license_dat=$etc_dir/license.dat
#
# dear mapping (for cktmw_al.sh)
#
		    dear_arch="$CD_UPDATE/bin/$LOCAL_ARCH/dear."  # needs .
#
# vstring.map mapping (for decryptl.sh)
#
		    vstring_map="$dir/install/vstring.map"
#
#---------------------------------------------------------------------------
		    ;;
		dec)
#---------------------------------------------------------------------------
#
# Directory mappings
#
		    etc_dir=$dir/ETC
        	    scripts_dir=$dir/LSCRIPTS
#
# Install shell script mappings
#
		    abort_sh=ABORT.SH
		    actualp_sh=ACTUALP.SH
		    arch_sh=ARCH.SH
		    bld_lbin_sh=BLD_LBIN.SH
		    bld_sbin_sh=BLD_SBIN.SH
		    cleanup_sh=CLEANUP.SH
		    clearsc_sh=CLEARSC.SH
		    cont_sh=CONT.SH
		    echon_sh=ECHON.SH
		    fcleanpe_sh=FCLEANPE.SH
		    fin_sh=FIN.SH
		    getlmhid_sh=GETLMHID.SH
		    getver_sh=GETVER.SH
		    icleanpe_sh=ICLEANPE.SH
		    intro_c_sh=INTRO_C.SH
		    intro_cl_sh=INTRO_CL.SH
		    intro_l_sh=INTRO_L.SH
		    intro_s_sh=INTRO_S.SH
		    lm_sh=LM.SH
		    local_sh=LOCAL.SH
		    main_sh=MAIN.SH
		    man_sh=MAN.SH
		    mapname_sh=MAPNAME.SH
		    mklicdat_sh=MKLICDAT.SH
		    netruser_sh=NETRUSER.SH
		    options_sh=OPTIONS.SH
		    perm_sh=PERM.SH
		    ruser_sh=RUSER.SH
		    searchp_sh=SEARCHP.SH
		    tbxquery_sh=TBXQUERY.SH
		    ucleanpe_sh=UCLEANPE.SH
		    undotarZ_sh=UNDOTARZ.SH
		    update_sh=UPDATE.SH
		    verifyp_sh=VERIFYP.SH
		    version_sh=VERSION.SH
		    welcome1_sh=WELCOME1.SH
		    welcome2_sh=WELCOME2.SH
		    whichi_sh=WHICHI.SH
#
		    cktmw_al_sh=CKTMW_AL.SH
		    decryptl_sh=DECRYPTL.SH
		    tmw_alsc_sh=TMW_ALSC.SH
		    trewind_sh=TREWIND.SH
#
# Script name mappings (for lm.sh)
#
    		    lmhostid_etc=LMHOSTID.ETC
#
# Other command mappings (for lm.sh)
#
		    lmhostid_exe='./LMHOSTID'
#
# Map LOCAL_ARCH to the TMW_CD_FORMAT value
#
            	    CD_LOCAL_ARCH=`echo $LOCAL_ARCH | tr 'a-z' 'A-Z'`
#
# lmhostid mappings (Export to the Environment)
#
		    etc_arch_dir="$etc_dir/$CD_LOCAL_ARCH"; export etc_arch_dir
		    etc_arch_sh="$etc_dir/UTIL/ARCH.SH"; export etc_arch_sh
		    etc_arch_lmhostid="$etc_dir/$CD_LOCAL_ARCH/LMHOSTID"
		        export etc_arch_lmhostid
#
# etc mappings (for getlmhid.sh, mklicdat.sh)
#
		    etc_lmhostid_exe="$etc_dir/LMHOSTID"
		    etc_license_dat=$etc_dir/LICENSE.DAT
#
# dear mapping (for cktmw_al.sh)
#
		    dear_arch="$CD_UPDATE/BIN/$CD_LOCAL_ARCH/DEAR"
#
# vstring.map mapping (for decryptl.sh)
#
		    vstring_map="$dir/INSTALL/VSTRING.MAP"
#
#---------------------------------------------------------------------------
		    ;;
		hp)
#---------------------------------------------------------------------------
#
# Directory mappings
#
		    etc_dir=$dir/ETC
        	    scripts_dir=$dir/LSCRIPTS
#
# Install shell script mappings
#
		    abort_sh='ABORT.SH;1'
		    actualp_sh='ACTUALP.SH;1'
		    arch_sh='ARCH.SH;1'
		    bld_lbin_sh='BLD_LBIN.SH;1'
		    bld_sbin_sh='BLD_SBIN.SH;1'
		    cleanup_sh='CLEANUP.SH;1'
		    clearsc_sh='CLEARSC.SH;1'
		    cont_sh='CONT.SH;1'
		    echon_sh='ECHON.SH;1'
		    fcleanpe_sh='FCLEANPE.sh;1'
		    fin_sh='FIN.SH;1'
		    getlmhid_sh='GETLMHID.SH;1'
		    getver_sh='GETVER.SH;1'
		    icleanpe_sh='ICLEANPE.SH;1'
		    intro_c_sh='INTRO_C.SH;1'
		    intro_cl_sh='INTRO_CL.SH;1'
		    intro_l_sh='INTRO_L.SH;1'
		    intro_s_sh='INTRO_S.SH;1'
		    lm_sh='LM.SH;1'
		    local_sh='LOCAL.SH;1'
		    main_sh='MAIN.SH;1'
		    man_sh='MAN.SH;1'
		    mapname_sh='MAPNAME.SH;1'
		    mklicdat_sh='MKLICDAT.SH;1'
		    netruser_sh='NETRUSER.SH;1'
		    options_sh='OPTIONS.SH;1'
		    perm_sh='PERM.SH;1'
		    ruser_sh='RUSER.SH;1'
		    searchp_sh='SEARCHP.SH;1'
		    tbxquery_sh='TBXQUERY.SH;1'
		    ucleanpe_sh='UCLEANPE.SH;1'
		    undotarZ_sh='UNDOTARZ.SH;1'
		    update_sh='UPDATE.SH;1'
		    verifyp_sh='VERIFYP.SH;1'
		    version_sh='VERSION.SH;1'
		    welcome1_sh='WELCOME1.SH;1'
		    welcome2_sh='WELCOME2.SH;1'
		    whichi_sh='WHICHI.SH;1'
#
		    cktmw_al_sh='CKTMW_AL.SH;1'
		    decryptl_sh='DECRYPTL.SH;1'
		    tmw_alsc_sh='TMW_ALSC.SH;1'
		    trewind_sh='TREWIND.SH;1'
#
# Script name mappings (for lm.sh)
#
    		    lmhostid_etc='LMHOSTID.ETC;1'
#
# Other command mappings (for lm.sh)
#
		    lmhostid_exe='./LMHOSTID.;1'
#
# Map LOCAL_ARCH to the TMW_CD_FORMAT value
#
            	    CD_LOCAL_ARCH=`echo $LOCAL_ARCH | tr 'a-z' 'A-Z'`
#
# lmhostid mappings (Export to the Environment)
#
		    etc_arch_dir="$etc_dir/$CD_LOCAL_ARCH"; export etc_arch_dir
		    etc_arch_sh="$etc_dir/UTIL/ARCH.SH;1"; export etc_arch_sh
		    etc_arch_lmhostid="$etc_dir/$CD_LOCAL_ARCH/LMHOSTID.;1"
			export etc_arch_lmhostid
#
# etc mappings (for getlmhid.sh, mklicdat.sh)
#
		    etc_lmhostid_exe="$etc_dir/LMHOSTID.;1"
		    etc_license_dat="$etc_dir/LICENSE.DAT;1"
#
# dear mapping (for cktmw_al.sh)
#
		    dear_arch="$CD_UPDATE/BIN/$CD_LOCAL_ARCH/DEAR.;1"
#
# vstring.map mapping (for decryptl.sh)
#
		    vstring_map="$dir/INSTALL/VSTRING.MAP;1"
#
#---------------------------------------------------------------------------
		    ;;
		unix|*)
#---------------------------------------------------------------------------
#
# Directory mappings
#
		    etc_dir=$dir/etc
        	    scripts_dir=$dir/lscripts
#
# Install shell script mappings
#
		    abort_sh=abort.sh
		    actualp_sh=actualp.sh
		    arch_sh=arch.sh
		    bld_lbin_sh=bld_lbin.sh
		    bld_sbin_sh=bld_sbin.sh
		    cleanup_sh=cleanup.sh
		    clearsc_sh=clearsc.sh
		    cont_sh=cont.sh
		    echon_sh=echon.sh
		    fcleanpe_sh=fcleanpe.sh
		    fin_sh=fin.sh
		    getlmhid_sh=getlmhid.sh
		    getver_sh=getver.sh
		    icleanpe_sh=icleanpe.sh
		    intro_c_sh=intro_c.sh
		    intro_cl_sh=intro_cl.sh
		    intro_l_sh=intro_l.sh
		    intro_s_sh=intro_s.sh
		    lm_sh=lm.sh
		    local_sh=local.sh
		    main_sh=main.sh
		    man_sh=man.sh
		    mapname_sh=mapname.sh
		    mklicdat_sh=mklicdat.sh
		    netruser_sh=netruser.sh
		    options_sh=options.sh
		    perm_sh=perm.sh
		    ruser_sh=ruser.sh
		    searchp_sh=searchp.sh
		    tbxquery_sh=tbxquery.sh
		    ucleanpe_sh=ucleanpe.sh
		    undotarZ_sh=undotarZ.sh
		    update_sh=update.sh
		    verifyp_sh=verifyp.sh
		    version_sh=version.sh
		    welcome1_sh=welcome1.sh
		    welcome2_sh=welcome2.sh
		    whichi_sh=whichi.sh
#
		    cktmw_al_sh=cktmw_al.sh
		    decryptl_sh=decryptl.sh
		    tmw_alsc_sh=tmw_alsc.sh
		    trewind_sh=trewind.sh
#
# Script name mappings (for lm.sh)
#
    		    lmhostid_etc=lmhostid.etc
#
# Other command mappings (for lm.sh)
#
		    lmhostid_exe='./lmhostid'
#
# lmhostid mappings (Export to the Environment)
#
		    etc_arch_dir="$etc_dir/$LOCAL_ARCH"; export etc_arch_dir
		    etc_arch_sh="$etc_dir/util/arch.sh"; export etc_arch_sh
		    etc_arch_lmhostid="$etc_dir/$LOCAL_ARCH/lmhostid"
		        export etc_arch_lmhostid
#
# etc mappings (for getlmhid.sh, mklicdat.sh)
#
		    etc_lmhostid_exe="$etc_dir/lmhostid"
		    if [ "$LOCAL_ARCH" != "lnx86" ]; then
		        etc_license_dat=$etc_dir/license.dat
		    else
		        etc_license_dat=$etc_dir/license.dat.lnx86
		    fi
#
# dear mapping (for cktmw_al.sh)
#
		    dear_arch="$CD_UPDATE/bin/$LOCAL_ARCH/dear"
#
# vstring.map mapping (for decryptl.sh)
#
		    vstring_map="$dir/install/vstring.map"
#
#---------------------------------------------------------------------------
		    ;;
	esac
    else	# mappings off the CDROM
#---------------------------------------------------------------------------
#
# Directory mappings
#
	etc_dir=$dir/etc
        scripts_dir=$dir/lscripts
#
# Install shell script mappings
#
	abort_sh=abort.sh
	actualp_sh=actualp.sh
	arch_sh=arch.sh
	bld_lbin_sh=bld_lbin.sh
	bld_sbin_sh=bld_sbin.sh
	cleanup_sh=cleanup.sh
	clearsc_sh=clearsc.sh
	cont_sh=cont.sh
	echon_sh=echon.sh
	fcleanpe_sh=fcleanpe.sh
	fin_sh=fin.sh
	getlmhid_sh=getlmhid.sh
	getver_sh=getver.sh
	icleanpe_sh=icleanpe.sh
	intro_c_sh=intro_c.sh
	intro_cl_sh=intro_cl.sh
	intro_l_sh=intro_l.sh
	intro_s_sh=intro_s.sh
	lm_sh=lm.sh
	local_sh=local.sh
	main_sh=main.sh
	man_sh=man.sh
	mapname_sh=mapname.sh
	mklicdat_sh=mklicdat.sh
	netruser_sh=netruser.sh
	options_sh=options.sh
	perm_sh=perm.sh
	ruser_sh=ruser.sh
	searchp_sh=searchp.sh
	tbxquery_sh=tbxquery.sh
	ucleanpe_sh=ucleanpe.sh
	undotarZ_sh=undotarZ.sh
	update_sh=update.sh
	verifyp_sh=verifyp.sh
	version_sh=version.sh
	welcome1_sh=welcome1.sh
	welcome2_sh=welcome2.sh
	whichi_sh=whichi.sh
#
	cktmw_al_sh=cktmw_al.sh
	decryptl_sh=decryptl.sh
	tmw_alsc_sh=tmw_alsc.sh
	trewind_sh=trewind.sh
#
# For 'collective tape' only
#
	rmtpdir_sh=rmtpdir.sh
	tarchive_sh=tarchive.sh
	twelcome_sh=twelcome.sh
	defltmap_sh=defltmap.sh
	tintro_sh=tintro.sh
	tapepos_sh=tapepos.sh
	tpdscren_sh=tpdscren.sh
	tpdselct_sh=tpdselct.sh
	pdextrct_sh=pdextrct.sh
	tapecln_sh=tapecln.sh
	cleanup2_sh=cleanup2.sh
#
# For FTP only
#
	ftp_sh=ftp.sh
	fwelcome_sh=fwelcome.sh
	fpdscren_sh=fpdscren.sh
	fpdselct_sh=fpdselct.sh
#
# Script name mappings (for lm.sh)
#
    	lmhostid_etc=lmhostid.etc
#
# Other command mappings (for lm.sh)
#
	lmhostid_exe=./lmhostid
#
# lmhostid mappings Export to the Environment)
#
        etc_arch_dir="$etc_dir/$LOCAL_ARCH"; export etc_arch_dir
        etc_arch_sh="$etc_dir/util/arch.sh"; export etc_arch_sh
        etc_arch_lmhostid="$etc_dir/$LOCAL_ARCH/lmhostid"
	    export etc_arch_lmhostid
#
# etc mappings (for getlmhid.sh, mklicdat.sh)
#
	etc_lmhostid_exe=$etc_dir/lmhostid; export etc_lmhostid_exe
	if [ "$LOCAL_ARCH" != "lnx86" ]; then
	    etc_license_dat=$etc_dir/license.dat.skel; export etc_license_dat
	else
	    etc_license_dat=$etc_dir/license.dat.skel.lnx86; export etc_license_dat
	fi
#
# dear mapping (for cktmw_al.sh) - use explicit path
#
	:
#
# vstring.map mapping (for decryptl.sh)
#
	vstring_map="$dir/install/vstring.map"
#
#---------------------------------------------------------------------------
    fi
