% Release Notes, MATLAB Compiler
% Version 1.0  23-Oct-95
% Copyright (c) 1994-95 by The MathWorks, Inc.
%
% 
% PLATFORM-INDEPENDENT INFORMATION
% 
% Version 1.0 of the MATLAB Compiler has a bug you may encounter when compiling
% your M-files.  When a function is called with no trailing semicolon, the
% compiled code occasionally fails to print the result of the function call.  At
% other times, the generated C code is incorrect, usually because some compiler
% function is called with the wrong number of arguments.  For example
% 
%     function f(a)
%     abs(a)
% 
% produces a call to the compiler library function mccAbs with only one
% argument, where the function requires two.
% 
% There is a simple workaround to this problem.  If the value you want to print
% is assigned to a variable, the value will print.  Thus, in the earlier
% example, if you had written
% 
%     function f(a)
%     x=abs(a)
% 
% x would print correctly.
% 
% This problem should be fixed in the next release of the compiler.
% 
% ------------
% 
% PC-SPECIFIC INFORMATION
% 
% Installation of WATCOM 10.x Compiler:
%    If you intend to use the Watcom Compiler to create MEX files, select DOS
%    as a target during installation.  If you intend to use the Compiler to
%    create stand-alone applications, select NT as a target during installation.
%    (It is possible to select both targets.)
% 
% Warning messages:
%    The following warning messages can be safely ignored.
% 
%    Warning(1027): file C:\WATCOM\lib386\dos\clib2s.lib(__8087386):
%    redefinition of __8087 ignored
% 
%    Warning(1027): file C:\WATCOM\lib386\dos\clib2s.lib(fclose):
%    redefinition of fclose ignored
% 
% Long variable names:
%    MATLAB variable names longer than 19 characters must be avoided.
% 
% ------------
% 
% MACINTOSH-SPECIFIC INFORMATION
% 
% Supported Compilers
% The compilers (and their versions) used to test the MATLAB Compiler are:
% 
% Power Macintosh:
%   MPW MrC 1.0b2
%   MPW PPCC 1.0.5
%   Metrowerks CodeWarrior C 7 (CodeWarrior 5 and 6 users should read the README
% file in the "CodeWarrior 5-6" folder on the installation disk).
% 
% 680x0:
%   MPW C 3.4
% 
% POWER MACINTOSH USERS: In order for Power Macintosh shared libraries to be
% found by the Macintosh operating system at runtime, they need to appear in
% either 
% 
% a) your System Folder:Extensions: folder, or
% b) the same folder as the application which uses the shared libraries.
% 
% If you install the MATLAB Compiler on a Power Macintosh, the Installer places
% an alias into the System Folder:Extensions: folder. This alias is to the
% shared library libmccmx (normally found in MATLAB:extern:lib:PowerMac).  If
% you install on a 680x0 machine and then copy the files to a Power Macintosh,
% you will need to create this alias manually.
% 
% MPW USERS:  The Installer places a newer version of the MPW cmex script in the
% folder MATLAB:extern:bin:.  But first, it renames the existing cmex script to
% cmex.old.  If you have configured the MATLABDir setting in the original cmex
% script, it also copies that setting out of the old script and writes this
% information into the new script.  Note that the new script can still be used
% to compile ordinary (non MATLAB Compiler-generated) MEX-functions.
% 
% Also, in order to compile MATLAB Compiler-generated MEX-functions
% automatically, the function mcc uses the MPW ToolServer.  Therefore, to
% utilize the auto-compile features of mcc, ToolServer must be available.  To
% test to see if the MPW ToolServer is accessible from MATLAB, type 
% 
% !toolserver echo "Pass"
% 
% at the command prompt.  The MPW ToolServer utility should start up, and the
% word "Pass" should be displayed in the MATLAB Command Window.  Refer to your
% MPW documentation for information on how to set up ToolServer if it is not
% already configured.
% 
% METROWERKS USERS: When using the Metrowerks Compiler with the MATLAB Compiler,
% the MATLAB Compiler uses the MEX-function metromex to compile and link
% MEX-functions automatically.  The following three items are in regard to the
% use of metromex.
% 
% 1) 
% The version of metromex installed by the compiler is compatible with
% CodeWarrior 7.  If you are using CodeWarrior 5 or 6, read the README file in
% the "CodeWarrior 5-6" folder on the installation disk.
% 
% 2)
% There apparently is a bug in Connectix's Speed Copy (part of Speed Doubler
% versions 1.0 and 1.0.1), which occasionally interferes with the Finder's
% ability to copy files designated by an Apple Event or Apple Script.  Since
% metromex uses Apple Events to instruct the Finder to copy certain files, using
% Speed Copy may interfere with the normal operations of the metromex
% MEX-function.  We recommend turning off Speed Copy if you will be using
% metromex extensively.
% 
% 3)
% The default optimization level for Metrowerks MEX-files (as described by the
% output of the command "help metromex") is peephole optimization (optimized
% for speed), instruction scheduling, and global optimization level 4
% 
% If, for some reason, you need some other level of optimization, you can
% configure this manually by performing the following steps:
% 
%     1.  In the file "cmex.m", find the lines which read:
% 
%     	% !!! Uncomment the following line to set optimization manually
%     	% during Metrowerks MEX-file builds !!! 
%     	% cmex(length(cmex)-3:length(cmex)) = 'off ';
% 
%     	Uncomment out the line indicated.
% 
%     2.  Open the file "<MATLAB>:extern:lib:PowerMac:Metrowerks MEX Build."
%         using Metrowerks.  This file is the template project used by metromex
%         to generate MEX-files. Manually set the optimization preferences in
%         this project and then close the project. 
% 
% You will now be able to use mcc normally, but obtain MEX-files compiled
% with your desired optimization preferences.
% 
% Stack Overflow
% If, while converting large M-files to C code, you experience crashes of a
% seemingly random nature (often a System Error #11, but not always), the
% problem may be that the MATLAB stack is overflowing.  To increase the size of
% the MATLAB stack, follow these steps:
% 
% 1. Make a copy of the MATLAB binary (referred to as "MATLAB copy" below).
% 
% 2. Open the copy using ResEdit, a Resource Editor available from Apple and
% packaged with most Macintosh C compilers.
% 
% 3. Double-click on the STR icon in the ResEdit window titled "MATLAB copy".
% 
% 4. For Power Macintoshes, find the STR resource named "PowerMacStackSize" and
% double-click on it.  For 680x0 Macintoshes, find the STR resource named
% "68kStackSize" and double-click on it.
% 
% 5. The field labeled "The String" contains a number that represents the number
% of kilobytes of stack space reserved by MATLAB.  The default values are 64
% on the 680x0 and 128 on the Power Macintosh.  Enter a higher number in this
% field (exactly how high depends on the size of your M-file, but a good start
% would be to double the existing number).
% 
% 6. Quit ResEdit.  When ResEdit asks if you want to save "MATLAB copy" before
% closing, choose Yes.
% 
% Double-click on the "MATLAB copy" icon to start MATLAB.  Convert the M-file to
% C code by running mcc as before.  You may need to repeat the above steps,
% experimenting with stack size until you find a value high enough to allow
% compiling of large M-files, but small enough that the stack doesn't
% significantly reduce MATLAB's free memory (i.e., heap space).  When you are
% satisfied with your stack size setting, you can delete the original MATLAB and
% rename "MATLAB copy" to "MATLAB".
