% System Identification Toolbox.
% Version 4.0   30-May-95
% Copyright (c) 1986-95 by The MathWorks, Inc.
% $Revision: 1.6 $  $Date: 1995/05/10 21:36:59 $
%
% Graphical User Interface
%   ident      - A comprehensive estimation and analysis environment. 
%   midprefs   - Specify a directory for start-up information.
%
% Simulation and prediction.
%   idsim      - Simulate a given system.
%   pe         - Prediction errors.
%   poly2th    - Construct a "theta-matrix" from given polynomials.
%   predict    - M-step ahead prediction.
%
% Data manipulation.
%   dtrend     - Remove trends from data sets.1
%   idfilt     - Filter data through Butterworth filters.
%   idinput    - Generates input signals for identification.
%   idresamp   - Resamples data by decimation and interpolation.
%
% Nonparametric estimation.
%   covf       - Covariance function estimate for a data matrix.
%   cra        - Correlation analysis.
%   etfe       - Empirical Transfer Function Estimate and Periodogram.
%   spa        - Spectral analysis.
%
% Parameter estimation.
%   ar         - AR-models of signals using various approaches.
%   armax      - Prediction error estimate of an ARMAX model.
%   arx        - LS-estimate of ARX-models.
%   bj         - Prediction error estimate of a Box-Jenkins model.
%   canstart   - Multivariable theta-model with initial parameter estimates.
%   ivar       - IV-estimates for the AR-part of a scalar time series.
%   iv4        - Approximately optimal IV-estimates for ARX-models.
%   n4sid      - State-space model estimation using a sub-space method.
%   oe         - Prediction error estimate of an output-error model.
%   pem        - Prediction error estimate of a general linear model.
%
% Model structure creation.
%   arx2th     - THETA-format for an ARX model.
%   canform    - Canonical form model structures.
%   mf2th      - Package user defined model structures into the THETA model format.
%   modstruc   - Model structures to be used in MS2TH.
%   ms2th      - Package standard state-space parameterizations into the THETA format.
%   poly2th    - "Theta-matrix" from given polynomials.
%
% Manipulating model structures.
%   fixpar     - Fix parameters in state-space and ARX model structures.
%   sett       - Set the sampling interval in TH-structures.
%   thinit     - (Random) initial values for the parameters.
%   unfixpar   - Unfix parameters in state-space ans ARX model structures.
%
% Model conversions.
%   th2arx     - Convert a THETA-format model to an ARX-model.
%   th2ff      - Model's frequency function, along with its standard deviation.
%   th2par     - Theta-format to parameters and covariance matrix.
%   th2poly    - Polynomials associated with a given model.
%   th2ss      - THETA model conversion to state-space.
%   th2tf      - THETA model conversion to transfer function.
%   th2zp      - Zeros, poles, static gains and their standard deviations.
%   thc2thd    - Continuous time model to discrete time.
%   thd2thc    - Model to continuous-time form.
%
% Model presentation.
%   bodeplot   - Bode diagram of a transfer function or spectrum.
%   ffplot     - Frequency functions.
%   idplot     - Input - output data.
%   nyqplot    - Nyquist diagram of a transfer function.
%   present    - Parametric model on the screen.
%   zpplot     - Zeros and poles.
%
% Information extraction.
%   getmfth    - Get the name of the .m-file that defines the model structure.
%   getncap    - Get the number of data points and the number of parameters.
%   getff      - Select the frequency function (for own plotting).
%   gett       - Get the sampling interval for a model.
%   getzp      - Extract the zeros and the poles from the ZEPO-format created by TH2ZP.
%   th2par     - Theta-format to parameters and covariance matrix.
%
% Model validation.
%   compare    - Compare the simulated/predicted output with the measured output.
%   idsim      - Simulate a given system.
%   pe         - Prediction errors.
%   predict    - M-step ahead prediction.
%   resid      - Compute and test the residuals associated with a model.
%
% Assessing model uncertainty.
%   idsimsd    - Illustrate the uncertainty in simulated model responses.
%   th2ff      - Model's frequency function and standard deviation.
%   th2zp      - Zeros, poles, static gains and their standard deviations.
%
% Model structure selection.
%   arxstruc   - Loss functions for families of ARX-models.
%   ivstruc    - Output error fit for families of single-output.
%   selstruc   - Select model structures according to various criteria.
%   struc      - Typical structure matrices for ARXSTRUC and IVSTRUC.

% Recursive parameter estimation.
%   rarx       - Compute estimates recursively for an ARX model.
%   rarmax     - Compute estimates recursively for an ARMAX model.
%   rbj        - Compute estimates recursively for a BOX-JENKINS model.
%   roe        - Compute estimates recursively for an output error model.
%   rpem       - Compute estimates recursively for a general model.
%   rplr       - Compute estimates recursively for a general model.
%   segment    - Segment data and track abruptly changing systems.
