% Release Notes System Identification Toolbox 4.0
%
% The main addition from version 3.0a is that a graphical user 
% interface, ident, is available. Most of the toolbox's functions
% can be accessed through this interface. To start it, type
%
%   ident
%
% at the MATLAB command line. There is an interactive demo available
% (under the Help menu) that illustrates the use of the interface.
%
% Version 4.0 also includes some new functions:
%
%   n4sid:     A subspace method to estimate state-space models
%   idinput:   Generates input signals for identification.
%   idresamp:  Resamples data by decimation and interpolation.
%   idmodred:  Model reduction for models given in the theta-format
%   ss2th:     Transformation from an arbitrary state-space model
%              to a parmetrized model in observer canonical form
%
% Some functions have added features:
%
%   idsim:     Now allows for the computation of confidence intervals 
%              around the simulated output.
%   armax, bj, oe, and pem:  These iterative estimation procedures
%	       no longer automatically give information to the 
%   	       MATLAB command window. To obtain that, a last argument
%              with the value 'trace' must be supplied.
%
% To get more information about the routines use HELP.
%
% Complement to the manual: The input argument TOL (described under
%             AUXVAR in the manual) has a new interpretation. It 
%	      corresponds to the expected relative improvement of
%	      the criterion of fit, measured in percent. See HELP AUXVAR.
%
% List of known bugs or bad behavior.
% 1) The zoom option does not function properly on Zero and poles plots.
%    This is due to a bug in with determining the limits of axes which
%    have an aspect ratio set to [1 NaN] (i.e. axis('square')).  This 
%    bug should be fixed with MATLAB v5.
% 2) When new lines are added to plots, the plot figure will pop to the
%    front.  This is necessary in MATLAB 4.x which requires that lines
%    and axes be created in the CurrentFigure only.
% 3) It is good practice to press the Return key after having filled out
%    any white edit field in the graphical interface. This will execute
%    the callback to the edit control. Otherwise you may have to click
%    twice on any action pushbutton to make it react. This is because
%    the first click will execute the callback to the edit control.
%    This "feature" is expected by people with click-to-focus pointer
%    policy, but is considered "bad behavior" by people who use
%    a point-to-focus pointer policy.
% 4) On SUN-UNIX the menus Channel and Help in the plot windows may
%    change places, when the Channel menu is updated.
% 5) If an command window error occurs when executing a callback, the
%    cursor may stay in its 'watch' mode. Then just click anywhere in
%    the main ident window to restore it to 'arrow'.

%	Lennart Ljung
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.6 $  $Date: 1995/05/16 09:01:05 $
