function freqfunc
%FREQFUNC Frequency functions are created by SPA, ETFE, and TH2FF. 
%	They are used by (see also) BODEPLOT, FFPLOT and NYQPLOT.
%
%	The format of a frequency function associated with one transfer
%	function or a noise spectrum is as follows. It has between two and
%	five columns, and the number of rows equals the number of frequences
%	plus one. The first row contains integers n with input information:
%
%	n = 0: means that the column is a spectrum
%	n = 50: The column contains the standard deviation of the spectrum
%	n =100: The column contains the frequencies for the spectrum.
%	n = k (with k between 1 and 19): the column contains amplitude
%	      values for the transfer function corresponding to input k.
%	n = 20 + k: the column contains phase values for input number k.
%	n = 50 + k: the column contains amplitude standard deviation, input k.
%	n = 70 + k: the column contains phase standard deviation, input k.
%	n = 100+ k: the column contains the frequency values for input k.
%	
%	For Multi-output systems add 1000*(output # -1) to the figures above
%	For each input (spectrum) the columns are ordered as follows:
%	Frequencies, amplitude, amplitude s.d., phase, phase s.d.
%	See also GETFF for picking out specific frequency information.
%	See also ETFE, SPA, TRF, TH2FF.

%	L. Ljung
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.3 $  $Date: 1995/05/16 09:01:05 $
