function [a,b,c,d,f]=polyform(th)
%POLYFORM computes the polynomials associated with a given model
%	Synonymous to TH2POLY 
%	[A,B,C,D,F]=polyform(TH)
%
%	TH is the model with format described by HELP THETA.
%
%	A,B,C,D, and F are returned as the corresponding polynomials
% 	in the general input-output model. A, C and D are then row
%	vectors, while B and F have as many rows as there are inputs.

%	L. Ljung 10-1-86
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.2 $  $Date: 1995/01/24 00:54:03 $

[a,b,c,d,f]=th2poly(th);
