%SSMODEL 	In case of a userwritten model structure definition, this 
% 		should have the format
%
%  	[A,B,C,D,K,X0] = username(PARAMETERS,T,AUX)
%
%		i.e. for any values of the parameters the program
%		returns the discrete time state-space matrices.
%
%	        AUX is a matrix of auxiliary parameters to be
%	        used to manipulating the model structure without 
%		having to rewrite 'username'.
%		T is the sampling interval.
%	        For an underlying continuous-time parametrization the
%	        conversion to discrete-time should be inhibited if T<0.
%	        That is, "if T>0, [a,b]=c2d(a,b,T);end" should be used
%		in 'username'. (c2d here is a function that transforms from
%		continuous to discrete time.) This feature is utilized in 
%		PRESENT, TH2SS, TH2FF, TH2ZP and several other routines.

%	L. Ljung
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.3 $  $Date: 1995/01/24 00:54:03 $
