function [doccmd,options] = docopt
%DOCOPT Configure local doc access defaults.
%	DOCOPT is an M-file that you or your system manager can
%	edit to indicate how to access the program that allows
%	viewing of the MATLAB hypertext online documentation.
%
%	[DOCCMD,OPTIONS] = DOCOPT returns two strings, DOCCMD and OPTIONS.
%	DOCCMD is a string containing the command that DOC uses
%	to view the MATLAB hypertext online documentation. Its default is:
%
%	   Unix:      Mosaic
%	   Windows:   -na-
%	   Macintosh: -na-
%	   VMS:       -na-
%
%	OPTIONS is a string containing additional configuration options
%       that are to accompany the invocation of DOCCMD when the DOC command
%	is called. Its default is:
%
%	   Unix:      ''
%	   Windows:   -na-
%	   Macintosh: -na-
%	   VMS:	      -na-
%
%	See also DOC.

% Copyright (c) 1994 by The MathWorks, Inc.
% $Revision: 1.1 $  $Date: 1994/04/27 12:55:15 $

% Intialize options to empty matrices
doccmd = []; options = [];

% This file automatically defaults to the options and doccmd shown above
% in the online help text. If you would like to set the options or doccmd
% default to be different from those shown above, enter it after this
% paragraph.

%---> Put your own changes to the defaults here (if needed)

% ----------- Do not modify anything below this line ---------------
% The code below this line automatically computes the defaults 
% promised in the table above unless they have been overridden.

cname = computer;

if isempty(doccmd)

	% For Unix
	doccmd = 'Mosaic';

	% For Windows
	if strcmp(cname(1:2),'PC'),  doccmd = ''; end

	% For Macintosh
	if length (cname) >= 3 
	    if strcmp(cname(1:3),'MAC'), doccmd = ''; end
	end

	% For VAX/VMS
	if length (cname) >= 7 
	   if strcmp(cname(1:7),'VAX_VMS'), doccmd = ''; end
	end
end

if isempty(options)

	% For Unix
	options = '';

	% For Windows
	if strcmp(cname(1:2),'PC'),  options = ''; end

	% For Macintosh
	if length (cname) >= 3 
	    if strcmp(cname(1:3),'MAC'), options = ''; end
	end

	% For VAX/VMS
	if length (cname) >= 7 
	   if strcmp(cname(1:7),'VAX_VMS'), options = ''; end
	end
end
