% Color control and lighting model functions.
%
% Color controls.
%   colormap   - Color look-up table.
%   caxis      - Pseudocolor axis scaling.
%   shading    - Color shading mode.
% 
% Color maps.
%   hsv        - Hue-saturation-value color map.
%   gray       - Linear gray-scale color map.
%   hot        - Black-red-yellow-white color map.
%   cool       - Shades of cyan and magenta color map.
%   bone       - Gray-scale with a tinge of blue color map.
%   copper     - Linear copper-tone color map.
%   pink       - Pastel shades of pink color map.
%   prism      - Prism color map.
%   jet        - A variant of HSV.
%   flag       - Alternating red, white, blue, and black color map.
%
% Color map related functions.
%   colorbar   - Display color bar (color scale).
%   hsv2rgb    - Hue-saturation-value to red-green-blue conversion.
%   rgb2hsv    - Red-green-blue to hue-saturation-value conversion.
%   contrast   - Gray scale color map to enhance image contrast.
%   brighten   - Brighten or darken color map.
%   spinmap    - Spin color map.
%   rgbplot    - Plot color map.
% 
% Lighting models.
%   surfl      - 3-D shaded surface with lighting.
%   specular   - Specular reflectance.
%   diffuse    - Diffuse reflectance.
%   surfnorm   - Surface normals.

% Copyright (c) 1984-94 by The MathWorks, Inc.
