% CRULLER Construct cruller.
%	Construct cruller by revolving the eccentric ellipse
%	defined by the function XYCRULL.

%       C. Henry Edwards, Univerity of Georgia. 6/20/93.
%
%       Expo'fied: dlc, 7/30/93
%	Copyright (c) 1984-94 by The MathWorks, Inc.

% Gallery initialization =================
if ~exist('GalleryGUIFlag'), figNumber=0; end;

% Create help
infoStr= ...                                            
        ['                                             '  
	 ' Cruller generated by revolving an eccentric '  
         ' ellipse.                                    '  
         '                                             '  
         ' Thanks to C. Henry Edwards,                 '  
         ' Dept. of Mathematics, University of Georgia.'  
         '                                             '  
         '                                             '  
         ' File name: cruller.m                        '];
gallinit(figNumber,infoStr);

ab = [0 2*pi];
%rtr = [7 1.5 1];
rtr = [8 1.5 1];
if isstudent
   pq = [30 30];
else
   pq = [40 40];
end
box = [-10 10 -10 10 -3 3];
vue = [90 50];

tube('xycrull',ab,rtr,pq,box,vue)
set(gcf','color',[.8 .8 .8]);
colormap(hot);
view(-37.5,65);



