function xpmu
%XPMU3	Expo demo for the Mu-Analysis and Synthesis Toolbox.

%	Copyright (c) 1984-94 by The MathWorks, Inc.
    
    txtStr1= ...                                                              
        [' The Mu-Analysis and Synthesis Toolbox is a collection of       '  
         ' M-files for designing a robust control system in the           '  
         ' presence of uncertainities. H-infinity optimal control and the '  
         ' structured singular value, mu, provide controls that           '  
         ' guarantee stability in the face of model uncertainty for       '  
         ' multivariable systems.                                         '
         '                                                                '  
         ' As an example, we describe how mu-synthesis is used to         '  
         ' design a pitch axis controller for the HiMAT (Highly           '  
         ' Maneuverable Aircraft Technology) remotely piloted vehicle     '  
         ' (RPV) developed by NASA.                                       '
         '                                                                '  
         ' We will consider longitudinal dynamics only, which are         '  
         ' uncoupled from the lateral-directional dynamics. The state     '  
         ' vector for the linear model contains the perturbation in       '  
         ' forward velocity, attack angle, pitch rate, and pitch angle.   '  
         ' The control inputs are the elevon and the canard. The          '  
         ' variables to be measured are attack angle and pitch angle.     '  
         '                                                                '];
    txtStr2= ...                                                              
        [' We can represent model uncertainties with transfer             '  
         ' functions indicating how well we can predict the plant''s       '  
         ' behavior as a function of frequency. In this problem, these    '  
         ' transfer functions, called uncertainty weightings, are chosen  '  
         ' with small magnitudes at low frequency and larger              '  
         ' magnitudes at higher frequencies. This indicates that we       '  
         ' have greater confidence in the dynamic behavior at low         '  
         ' frequency. We can specify this uncertainty weighting by        '  
         ' providing transfer function coefficients for a highpass filter.'  
         '                                                                '  
         ' We introduce another weighting function, Wp(s), that we        '  
         ' choose to indicate the performance we desire for our closed    '  
         ' loop system. This also is described by using a high-pass       '  
         ' transfer function. For the performance specification to be     '  
         ' achieved, the maximum singular value plot of the sensitivity   '  
         ' transfer function must lie below 1/|Wp| at every frequency.    '  
         ' This sensitivity weight indicates that at low frequency, we    '  
         ' want the closed-loop system to reject disturbances by a        '  
         ' large factor, and our performance requirement gets less        '  
         ' stringent at higher frequencies where the magnitude of our     '  
         ' highpass weighting function increases.                         '  
         '                                                                '];
    txtStr3= ...                                                            
        [' The performance objective is to minimize the transient time  '  
         ' between the control signal and the system reaction. The      '  
         ' weighting function Wp(s) is used to reflect the relative     '  
         ' importance of various frequency ranges for which             '  
         ' performance is desired.                                      '  
         '                                                              '  
         ' We design our controller in an iterative process. The        '  
         ' process involves designing an H-infinity controller and      '  
         ' evaluating the closed-loop system using the tools provided   '  
         ' within this Toolbox. The robust stability and nominal        '  
         ' performance of our system is evaluated using structured      '  
         ' singular values, seeking peak values of mu less than unity.  '  
         ' Using the H-infinity controller for the nominal system, this '  
         ' can be achieved providing acceptable robustness and          '  
         ' performance for the nominal HiMAT plant.                     '  
         '                                                              '
         ' Now we include uncertainty and performance weighting         '  
         ' matrices and use mu-analysis. We find that the robust        '  
         ' performance with respect to uncertainties and performance    '  
         ' weightings peaks at a value that exceeds unity, indicating   '  
         ' our controller does not achieve robust performance for the   '  
         ' initial design.                                              ']; 
    txtStr4= ...                                                            
        [' In what are called the D-K iterations, we seek to minimize   '  
         ' mu in the frequency range associated with the peak value of  '  
         ' mu. As a result of the mu calculations, we obtain frequency  '  
         ' dependent scaling matrices called D-scales. By using         '  
         ' these scalings with the generalized plant, we obtain a new   '  
         ' system for which we can design another H-infinity controller.'  
         ' In this case, the frequency dependent D-scales allow us to   '  
         ' weight more heavily the frequency region associated with     '  
         ' largest amplitudes in the mu plot. The new design results in '  
         ' another iteration of the controller.                         '  
         '                                                              '  
         ' The D-K iteration process continues until mu <= 1,           '  
         ' indicating robust performance has been achieved, or the      '  
         ' peak mu value of the closed-loop system stops decreasing.    '  
         '                                                              '
         ' The mu-analysis and mu-synthesis methods provided in         '  
         ' this Toolbox are important tools that add a concise          '  
         ' methodology to synthesizing controls for multivariate        '  
         ' systems. To run the HiMAT example, see the "HiMAT"           '
         ' files under the "Cmd Line Demos" menu option.                '];

ttlStr = 'Mu-Analysis and Synthesis';
xppage(ttlStr,txtStr1,txtStr2,txtStr3,txtStr4);
