% Elementary matrices and matrix manipulation.
%
% Elementary matrices.
%   zeros       - Zeros matrix.
%   ones        - Ones matrix.
%   eye         - Identity matrix.
%   rand        - Uniformly distributed random numbers.
%   randn       - Normally distributed random numbers.
%   linspace    - Linearly spaced vector.
%   logspace    - Logarithmically spaced vector.
%   meshgrid    - X and Y arrays for 3-D plots.
%   :           - Regularly spaced vector.
%
% Special variables and constants.
%   ans         - Most recent answer.
%   eps         - Floating point relative accuracy.
%   realmax     - Largest floating point number.
%   realmin     - Smallest positive floating point number.
%   pi          - 3.1415926535897....
%   i, j        - Imaginary unit.
%   inf         - Infinity.
%   NaN         - Not-a-Number.
%   flops       - Count of floating point operations.
%   nargin      - Number of function input arguments.
%   nargout     - Number of function output arguments.
%   computer    - Computer type.
%   isieee      - True for computers with IEEE arithmetic.
%   isstudent   - True for the Student Edition.
%   why         - Succinct answer.
%   version     - MATLAB version number.
%
% Time and dates.
%   clock       - Wall clock.
%   cputime     - Elapsed CPU time.
%   date        - Calendar.
%   etime       - Elapsed time function.
%   tic, toc    - Stopwatch timer functions.
%
% Matrix manipulation.
%   diag        - Create or extract diagonals.
%   fliplr      - Flip matrix in the left/right direction.
%   flipud      - Flip matrix in the up/down direction.
%   reshape     - Change size.
%   rot90       - Rotate matrix 90 degrees.
%   tril        - Extract lower triangular part.
%   triu        - Extract upper triangular part.
%   :           - Index into matrix, rearrange matrix.
%

% Copyright (c) 1984-94 by The MathWorks, Inc.
