% README file for MATLAB
% 1 November 1993
% 
% New MATLAB M-files.
% 
% Here are some M-files that are NOT described in the Reference
% and User's Guides because they were added after printing:
% 
% General MATLAB commands.
%  cedit      - Set command line edit/recall facility parameters.
%  ls         - Directory listing.
%  pwd        - Show current working directory.
%  subscribe  - Become a subscribing MATLAB user.
%  whatsnew   - Display toolbox README files.
%  version    - MATLAB version.
%  lasterr    - Last error message.
% 
% Special matrices.
%  gallery    - A couple of small test matrices.
%  pascal     - Pascal matrix.
% 
% Special functions.
%  legendre   - Associated Legendre functions.
%  expint     - Exponential integral.
%  gcd        - Greatest common divisor.
%  lcm        - Least common multiple.
%  cart2pol   - Transform Cartesian coordinates to polar.
%  cart2sph   - Transform Cartesian coordinates to spherical.
%  pol2cart   - Transform polar coordinates to Cartesian.
%  sph2cart   - Transform Cartesian coordinates to spherical.
% 
% Matrix functions.
%  qrdelete   - Delete a column from the QR factorization.
%  qrinsert   - Insert a column in the QR factorization.
% 
% Data functions.
%  gradient   - Approximate gradient.
%  subspace   - Angle between two subspaces.
%  cross      - Vector cross product.
%  dot        - Vector dot product.
% 
% Polynomial functions.
%  polyder    - Polynomial derivative.
%  polyeig    - Polynomial eigenvalue problem.
%  polyfit    - Polynomial fitting with error estimates.
%  polyval    - Polynomial evaluation with error estimates.
% 
% Function functions.
%  ode23p     - Solve differential equations, displaying plot.
% 
% 2-D graphics.
%  comet      - Comet plot.
%  stem       - Plot discrete sequence data.
%  legend     - Graph legend.
% 
% 3-D graphics.
%  comet3     - 3-D Comet plot.
%  slice      - Volumetric slice plot.
%  waterfall  - Waterfall plot.
%
% Color.
%  colorbar   - Display color bar (color scale).
% 
% General purpose graphics.
%  imagesc    - Scale data and display as image.
%  ishold     - Return 1 if hold is on.
%  newplot    - Graphics M-file preamble to handle the NextPlot property.
%  whitebg    - Set default figure background color to white.
%  graymon    - Set default figure properties for gray-scale monitor.
%  gco        - Get current object.
%  refresh    - Refresh graph window.
%  rotate     - Rotate a graphics object.
%  errordlg   - Error dialog box.
%  helpdlg    - Help dialog box.
%  questdlg   - Question dialog box.
%  warndlg    - Warning dialog box.
%  zoom       - Zoom in and out on a 2-D plot.
% 
% Low-level file I/O functions.
%  feof       - Test for end-of-file.
%  fgetl      - Return the next line of the file as a string, without newline.
%  fgets      - Return the next line of the file as a string, with newline.
%  frewind    - Rewind an open file.
%  wk1read    - Read WK1 file/range.
%  wk1write   - Write out matrix in a WK1 formatted file.
% 
% String functions.
%  strrep     - Replace one string with another.
%  strtok     - First token in the supplied string.
%  isspace    - True if space, newline, return, tab, vert. tab, or formfeed.
%  isletter   - True for letters of the alphabet.
%
% Use HELP on these files or TYPE them for more information.

% Copyright (c) 1984-94 by The MathWorks, Inc.
