% General purpose graphics functions.
% 
% Figure window creation and control.
%   figure     - Create Figure (graph window).
%   gcf        - Get handle to current figure.
%   clf        - Clear current figure.
%   close      - Close figure.
% 
% Axis creation and control.
%   subplot    - Create axes in tiled positions.
%   axes       - Create axes in arbitrary positions.
%   gca        - Get handle to current axes.
%   cla        - Clear current axes.
%   axis       - Control axis scaling and appearance.
%   caxis      - Control pseudocolor axis scaling.
%   hold       - Hold current graph.
% 
% Handle Graphics objects.
%   figure    - Create figure window.
%   axes      - Create axes.
%   line      - Create line.
%   text      - Create text.
%   patch     - Create patch.
%   surface   - Create surface.
%   image     - Create image.
%   uicontrol - Create user interface control.
%   uimenu    - Create user interface menu.
%
% Handle Graphics operations.
%   set        - Set object properties.
%   get        - Get object properties.
%   reset      - Reset object properties.
%   delete     - Delete object.
%   gco        - Get handle to current object.
%   drawnow    - Flush pending graphics events.
%   newplot    - M-file preamble for NextPlot property.
%   findobj    - Find objects with specified property values.
%
% Hardcopy and storage.
%   print      - Print graph or save graph to file.
%   printopt   - Configure local printer defaults.
%   orient     - Set paper orientation. 
%   capture    - Screen capture of current figure.
% 
% Movies and animation.
%   moviein    - Initialize movie frame memory.
%   getframe   - Get movie frame.
%   movie      - Play recorded movie frames.
% 
% Miscellaneous.
%   ginput     - Graphical input from mouse.
%   ishold     - Return hold state.
%   graymon    - Set graphics window defaults for gray-scale monitors.
%   rbbox      - Rubberband box.
%   rotate     - Rotate an object about a specified direction.
%   terminal   - Set graphics terminal type.
%   uiputfile  - Put up dialog box for saving files.
%   uigetfile  - Put up dialog box which queries for file names.
%   whitebg    - Set graphics window defaults for white background.
%   zoom       - Zoom in and out on a 2-D plot.
%   waitforbuttonpress - Wait for key/buttonpress over figure.
%
% See also PLOTXY, PLOTXYZ, COLOR.

% UI Tools.
%   dialog     - Primative dialog creation M-file.
%   figflag    - True if figure is currently displayed on screen.
%   layout     - Script defining dialog box layout parameters.
%   uiguide    - Comments regarding UI conventions/standards/suggestions.
%
% Dialog boxes.
%   errordlg   - Creates an error dialog box.
%   helpdlg    - Creates a help dialog box.
%   questdlg   - Creates a question dialog box.
%   warndlg    - Creates a warning dialog box.
%
% Printing utilities
%   prtps      - Postscript printer driver.
%   prtwin     - MS-Windows(tm) driver.

% Copyright (c) 1984-94 by The MathWorks, Inc.
