%SET	Set object properties.
%	SET(H,'PropertyName',PropertyValue) sets the value of the
%	specified property for the graphics object with handle H.
%	H can be a vector of handles, in which case SET sets the
%	properties values for all the objects.
%
%	SET(H,'PropertyName1',PropertyValue1,'PropertyName2',PropertyValue2,...)
%	sets multiple property values with a single statement.
%
%	SET(H,'PropertyName') displays the possible values for the specified
%	property of the object with handle H.
%
%	SET(H) displays all property names and their possible values for
%	the object with handle H.
%
%	The default value for an object type can be set in an object's parent,
%	grandparent, or great-grandparent by setting the PropertyName formed
%	by concatenating the string 'Default', the object type, and the 
%	property name.  For example, to set the default color of text objects
%	to red in the current figure window:
%
%	   set(gcf,'DefaultTextColor','red')
%	
%	Three strings have special meaning for PropertyValues:
%	  'default' - use default value (from parents)
%	  'factory' - use factory default value
%	  'remove'  - remove default value.
%
%	See also GET, RESET, DELETE, GCF, GCA, FIGURE, AXES.

%	Copyright (c) 1984-94 by The MathWorks, Inc.
%	Built-in function.
