% Low-level file I/O functions.
% 
% File opening and closing.
%   fopen       - Open file.
%   fclose      - Close file.
%
% Unformatted I/O.
%   fread       - Read binary data from file.
%   fwrite      - Write binary data to file.
%
% Formatted I/O.
%   fscanf      - Read formatted data from file.
%   fprintf     - Write formatted data to file.
%   fgetl       - Read line from file, discard newline character.
%   fgets       - Read line from file, keep newline character.
%
% File positioning.
%   ferror      - Inquire file I/O error status.
%   feof        - Test for end-of-file.
%   fseek       - Set file position indicator.
%   ftell       - Get file position indicator.
%   frewind     - Rewind file.
%
% String conversion.
%   sprintf     - Write formatted data to string.
%   sscanf      - Read string under format control.
%
% File Import/Export Routines. 
% 
% WK1 Format.
%   wk1const    - WK1 record definitions.
%   wk1read     - Read WK1 file/range.
%   wk1write    - Write out matrix in a WK1 formatted file.
%   wk1wrec     - Write a WK1 record header.
%
% CSV Format.
%   csvread    - Read Comma Separated Value formatted file into a matrix.
%   csvwrite   - Write out matrix in a CSV formatted file.
%
% ASCII Delimited Format.
%   dlmread    - Read ASCII delimited file into a matrix.
%   dlmwrite   - Write out matrix in ASCII delimited file format.
%

% Utilities.
%   str2rng      - Convert a range 'a1..b3' to indices [ulc ulr brc brr].

% Copyright (c) 1984-94 by The MathWorks, Inc.
