% Language constructs and debugging.
%
% MATLAB as a programming language.
%   script      - About MATLAB scripts and M-files.
%   function    - Add new function.
%   eval        - Execute string with MATLAB expression.
%   feval       - Execute function specified by string.
%   global      - Define global variable.
%   nargchk     - Validate number of input arguments.
%   lasterr     - Last error message.
%
% Control flow.
%   if          - Conditionally execute statements.
%   else        - Used with IF.
%   elseif      - Used with IF.
%   end         - Terminate the scope of FOR, WHILE and IF statements.
%   for         - Repeat statements a specific number of times.
%   while       - Repeat statements an indefinite number of times.
%   break       - Terminate execution of loop.
%   return      - Return to invoking function.
%   error       - Display message and abort function.
%
% Interactive input.
%   input       - Prompt for user input. 
%   keyboard    - Invoke keyboard as if it were a Script-file.
%   menu        - Generate menu of choices for user input.
%   pause       - Wait for user response.
%   uimenu      - Create user interface menu.
%   uicontrol   - Create user interface control.
%
% Debugging commands.
%   dbstop     - Set breakpoint.
%   dbclear    - Remove breakpoint.
%   dbcont     - Resume execution.
%   dbdown     - Change local workspace context.
%   dbstack    - List who called whom.
%   dbstatus   - List all breakpoints.
%   dbstep     - Execute one or more lines.
%   dbtype     - List M-file with line numbers.
%   dbup       - Change local workspace context.
%   dbquit     - Quit debug mode.
%   mexdebug   - Debug MEX-files.

% Copyright (c) 1984-94 by The MathWorks, Inc.
