% Matrix functions - numerical linear algebra.
%
% Matrix analysis.
%   cond        - Matrix condition number.
%   norm        - Matrix or vector norm.
%   rcond       - LINPACK reciprocal condition estimator.
%   rank        - Number of linearly independent rows or columns.
%   det         - Determinant.
%   trace       - Sum of diagonal elements.
%   null        - Null space.
%   orth        - Orthogonalization.
%   rref        - Reduced row echelon form.
%
% Linear equations.
%   \ and /     - Linear equation solution; use "help slash".
%   chol        - Cholesky factorization.
%   lu          - Factors from Gaussian elimination.
%   inv         - Matrix inverse.
%   qr          - Orthogonal-triangular decomposition.
%   qrdelete    - Delete a column from the QR factorization.
%   qrinsert    - Insert a column in the QR factorization.
%   nnls        - Non-negative least-squares.
%   pinv        - Pseudoinverse.
%   lscov       - Least squares in the presence of known covariance.
%
% Eigenvalues and singular values.
%   eig         - Eigenvalues and eigenvectors.
%   poly        - Characteristic polynomial.
%   polyeig     - Polynomial eigenvalue problem.
%   hess        - Hessenberg form.
%   qz          - Generalized eigenvalues.
%   rsf2csf     - Real block diagonal form to complex diagonal form.
%   cdf2rdf     - Complex diagonal form to real block diagonal form.
%   schur       - Schur decomposition.
%   balance     - Diagonal scaling to improve eigenvalue accuracy.
%   svd         - Singular value decomposition.
%
% Matrix functions.
%   expm        - Matrix exponential.
%   expm1       - M-file implementation of expm.
%   expm2       - Matrix exponential via Taylor series.
%   expm3       - Matrix exponential via eigenvalues and eigenvectors.
%   logm        - Matrix logarithm.
%   sqrtm       - Matrix square root.
%   funm        - Evaluate general matrix function.

% Copyright (c) 1984-94 by The MathWorks, Inc.
