%NORM	Matrix or vector norm.
%	For matrices..
% 	 NORM(X) is the largest singular value of X, max(svd(X)).
% 	 NORM(X,2) is the same as NORM(X).
% 	 NORM(X,1) is the 1-norm of X, the largest column sum,
%	                  = max(sum(abs((X)))).
% 	 NORM(X,inf) is the infinity norm of X, the largest row sum,
%	                  = max(sum(abs((X')))).
% 	 NORM(X,'inf') is same as NORM(X,inf).
% 	 NORM(X,'fro') is the F-norm, sqrt(sum(diag(X'*X))).
%	 NORM(X,P) is available for matrix X only if P is 1, 2, inf or 'fro'.
%
% 	For vectors..
% 	 NORM(V,P) = sum(abs(V)^P)^(1/P).
% 	 NORM(V) = norm(V,2).
% 	 NORM(V,inf) = max(abs(V)).
% 	 NORM(V,-inf) = min(abs(V)).
%
%	In MATLAB 4.0, if X has complex components, z, then 
%	abs(z) = sqrt(z*conj(z)), not abs(real(z)) + abs(imag(z)),
%	which was used in some earlier versions of MATLAB.
%
%	See also COND, RCOND, CONDEST, NORMEST.

%	Copyright (c) 1984-94 by The MathWorks, Inc.
%	Built-in function.
