% Operators and special characters.
%
%  Char    Name                         HELP topic
%
%   +      Plus                         arith
%   -      Minus                        arith
%   *      Matrix multiplication        arith
%   .*     Array multiplication         arith
%   ^      Matrix power                 arith
%   .^     Array power                  arith
%
%   \      Backslash or left division   slash
%   /      Slash or right division      slash
%   ./     Array division               slash
%   kron   Kronecker tensor product     kron
%
%   :      Colon                        colon
%
%   ( )    Parentheses                  paren
%   [ ]    Brackets                     paren
%
%   .      Decimal point                punct
%   ..     Parent directory             punct
%   ...    Continuation                 punct
%   ,      Comma                        punct
%   ;      Semicolon                    punct
%   %      Comment                      punct
%   !      Exclamation point            punct
%   '      Transpose and quote          punct
%   =      Assignment                   punct
%
%   ==     Equality                     relop
%   < >    Relational operators         relop
%   &      Logical AND                  relop
%   |      Logical OR                   relop
%   ~      Logical NOT                  relop
%   xor    Logical EXCLUSIVE OR         xor
%
% Logical characteristics.
%   exist       - Check if variables or functions are defined.
%   any         - True if any element of vector is true.
%   all         - True if all elements of vector are true.
%   find        - Find indices of non-zero elements.
%   isnan       - True for Not-A-Number.
%   isinf       - True for infinite elements.
%   finite      - True for finite elements.
%   isempty     - True for empty matrix.
%   isreal      - True for real matrix.
%   issparse    - True for sparse matrix.
%   isstr       - True for text string.
%   isglobal    - True for global variables.

% Copyright (c) 1984-94 by The MathWorks, Inc.
