%PLOT	Plot vectors or matrices. 
%	PLOT(X,Y) plots vector X versus vector Y. If X or Y is a matrix,
%	then the vector is plotted versus the rows or columns of the matrix,
%	whichever line up. 
%
%	PLOT(Y) plots the columns of Y versus their index.
%	If Y is complex, PLOT(Y) is equivalent to PLOT(real(Y),imag(Y)).
%	In all other uses of PLOT, the imaginary part is ignored.
%
%	Various line types, plot symbols and colors may be obtained with
%	PLOT(X,Y,S) where S is a 1, 2 or 3 character string made from
%	the following characters:
%
%	       y     yellow        .     point
%	       m     magenta       o     circle
%	       c     cyan          x     x-mark
%	       r     red           +     plus
%	       g     green         -     solid
%	       b     blue          *     star
%	       w     white         :     dotted
%	       k     black         -.    dashdot
% 	                           --    dashed
%                             
%	For example, PLOT(X,Y,'c+') plots a cyan plus at each data point.
%
%	PLOT(X1,Y1,S1,X2,Y2,S2,X3,Y3,S3,...) combines the plots defined by
%	the (X,Y,S) triples, where the X's and Y's are vectors or matrices 
%	and the S's are strings.  
%
%	For example, PLOT(X,Y,'y-',X,Y,'go') plots the data twice, with a
%	solid yellow line interpolating green circles at the data points.
%
%	The PLOT command, if no color is specified, makes automatic use of
%	the colors specified by the axes ColorOrder property.  The default
%	ColorOrder is listed in the table above for color systems where the
%	default is yellow for one line, and for multiple lines, to cycle
%	through the first six colors in the table.  For monochrome systems,
%	PLOT cycles over the axes LineStyleOrder property.
%
%	PLOT returns a column vector of handles to LINE objects, one
%	handle per line. 
%
%	The X,Y pairs, or X,Y,S triples, can be followed by 
%	parameter/value pairs to specify additional properties 
%	of the lines.
%	                                
%	See also SEMILOGX, SEMILOGY, LOGLOG, GRID, CLF, CLC, TITLE,
%	XLABEL, YLABEL, AXIS, AXES, HOLD, and SUBPLOT.

%	If the NextPlot axes property is "replace" (HOLD is off), PLOT resets 
%	all axes properties, except Position, to their default values,
%	deletes all axes children (line, patch, text, surface, and
%	image objects), and sets the View property to [0 90].

%	Copyright (c) 1984-94 by The MathWorks, Inc.
%	Built-in function.

