% Three dimensional graphics.
% 
% Line and area fill commands.
%   plot3      - Plot lines and points in 3-D space.
%   fill3      - Draw filled 3-D polygons in 3-D space.
%   comet3     - 3-D comet-like trajectories.
% 
% Contour and other 2-D plots of 3-D data.
%   contour    - Contour plot.
%   contour3   - 3-D contour plot.
%   clabel     - Contour plot elevation labels.
%   contourc   - Contour plot computation (used by contour).
%   pcolor     - Pseudocolor (checkerboard) plot.
%   quiver     - Quiver plot.
%
% Surface and mesh plots.
%   mesh       - 3-D mesh surface.
%   meshc      - Combination mesh/contour plot.
%   meshz      - 3-D Mesh with zero plane.
%   surf       - 3-D shaded surface.
%   surfc      - Combination surf/contour plot.
%   surfl      - 3-D shaded surface with lighting.
%   waterfall  - Waterfall plot.
%
% Volume visualization.
%   slice      - Volumetric visualization plots.
% 
% Graph appearance.
%   view       - 3-D graph viewpoint specification.
%   viewmtx    - View transformation matrices.
%   hidden     - Mesh hidden line removal mode.
%   shading    - Color shading mode.
%   axis       - Axis scaling and appearance.
%   caxis      - Pseudocolor axis scaling.
%   colormap   - Color look-up table.
% 
% Graph annotation.
%   title      - Graph title.
%   xlabel     - X-axis label.
%   ylabel     - Y-axis label.
%   zlabel     - Z-axis label for 3-D plots.
%   text       - Text annotation.
%   gtext      - Mouse placement of text.
%   grid       - Grid lines.
%
% 3-D objects.
%   cylinder   - Generate cylinder.
%   sphere     - Generate sphere.
%
% See also COLOR, PLOTXY, GRAPHICS.

% Copyright (c) 1984-94 by The MathWorks, Inc.
