% Polynomial and interpolation functions.
%
% Polynomials.
%   roots       - Find polynomial roots.
%   poly        - Construct polynomial with specified roots.
%   polyval     - Evaluate polynomial.
%   polyvalm    - Evaluate polynomial with matrix argument.
%   residue     - Partial-fraction expansion (residues).
%   polyfit     - Fit polynomial to data.
%   polyder     - Differentiate polynomial.
%   conv        - Multiply polynomials.
%   deconv      - Divide polynomials.
%
% Data interpolation.
%   interp1     - 1-D interpolation (1-D table lookup).
%   interp2     - 2-D interpolation (2-D table lookup).
%   interpft    - 1-D interpolation using FFT method.
%   griddata    - Data gridding.
%
% Spline interpolation.
%   spline      - Cubic spline data interpolation.
%   ppval       - Evaluate piecewise polynomial.

% Copyright (c) 1984-94 by The MathWorks, Inc.
