% Sparse matrix functions.
%
% Elementary sparse matrices.
%   speye       - Sparse identity matrix.
%   sprandn     - Sparse random matrix.
%   sprandsym   - Sparse symmetric random matrix.
%   spdiags     - Sparse matrix formed from diagonals.
%
% Full to sparse conversion.
%   sparse      - Create sparse matrix from nonzeros and indices.
%   full        - Convert sparse matrix to full matrix.
%   find        - Find indices of nonzero entries.
%   spconvert   - Convert from sparse matrix external format.
%
% Working with nonzero entries of sparse matrices.
%   nnz         - Number of nonzero entries.
%   nonzeros    - Nonzero entries.
%   nzmax       - Amount of storage allocated for nonzero entries.
%   spones      - Replace nonzero entries with ones.
%   spalloc     - Allocate memory for nonzero entries.
%   issparse    - True if matrix is sparse.
%   spfun       - Apply function to nonzero entries.
%
% Visualizing sparse matrices.
%   spy         - Visualize sparsity structure.
%   gplot       - Plot graph, as in "graph theory".
%
% Reordering algorithms.
%   colmmd      - Column minimum degree.
%   symmmd      - Symmetric minimum degree.
%   symrcm      - Reverse Cuthill-McKee ordering.
%   colperm     - Order columns based on nonzero count.
%   randperm    - Random permutation vector.
%   dmperm      - Dulmage-Mendelsohn decomposition.
%
% Norm, condition number, and rank.
%   normest     - Estimate 2-norm.
%   condest     - Estimate 1-norm condition.
%   sprank      - Structural rank.
%
% Operations on trees.
%   treelayout  - Lay out a tree or forest.
%   treeplot    - Plot a picture of a tree.
%   etree       - Elimination tree of a matrix.
%   etreeplot   - Plot the elimination tree.
%
% Miscellaneous.
%   symbfact    - Symbolic factorization analysis.
%   spparms     - Set parameters for sparse matrix routines.
%   spaugment   - Form least squares augmented system.

% Copyright (c) 1984-94 by The MathWorks, Inc.
