% Specialized math functions.
%
%   besselj     - Bessel function of the first kind.
%   bessely     - Bessel function of the second kind.
%   besseli     - Modified Bessel function of the first kind.
%   besselk     - Modified Bessel function of the second kind.
%   beta        - Beta function.
%   betainc     - Incomplete beta function.
%   betaln      - Logarithm of beta function.
%   ellipj      - Jacobi elliptic functions.
%   ellipke     - Complete elliptic integral.
%   erf         - Error function.
%   erfc        - Complementary error function.
%   erfcx       - Scaled complementary error function.
%   erfinv      - Inverse error function.
%   expint      - Exponential integral function.
%   gamma       - Gamma function.
%   gcd         - Greatest common divisor.
%   gammainc    - Incomplete gamma function.
%   lcm         - Least common multiple.
%   legendre    - Associated Legendre function.
%   gammaln     - Logarithm of gamma function.
%   log2        - Dissect floating point numbers.
%   pow2        - Scale floating point numbers.
%   rat         - Rational approximation.
%   rats        - Rational output.
%   cart2sph    - Transform from Cartesian to spherical coordinates.
%   cart2pol    - Transform from Cartesian to polar coordinates.
%   pol2cart    - Transform from polar to Cartesian coordinates.
%   sph2cart    - Transform from spherical to Cartesian coordinates.

% Copyright (c) 1984-94 by The MathWorks, Inc.
