% Character string functions.
%
% General.
%   strings     - About character strings in MATLAB.
%   abs         - Convert string to numeric values.
%   setstr      - Convert numeric values to string.
%   isstr       - True for string.
%   blanks      - String of blanks.
%   deblank     - Remove trailing blanks.
%   str2mat     - Form text matrix from individual strings.
%   eval        - Execute string with MATLAB expression.
%
% String comparison.
%   strcmp      - Compare strings.
%   findstr     - Find one string within another.
%   upper       - Convert string to uppercase.
%   lower       - Convert string to lowercase.
%   isletter    - True for letters of the alphabet.
%   isspace     - True for white space characters.
%   strrep      - Replace a string with another.
%   strtok      - Find a token in a string.
%
% String to number conversion.
%   num2str     - Convert number to string.
%   int2str     - Convert integer to string.
%   str2num     - Convert string to number.
%   mat2str     - Convert matrix to string.
%   sprintf     - Convert number to string under format control.
%   sscanf      - Convert string to number under format control.
%
% Hexadecimal to number conversion.
%   hex2num     - Convert hex string to IEEE floating point number.
%   hex2dec     - Convert hex string to decimal integer.
%   dec2hex     - Convert decimal integer to hex string.

% Copyright (c) 1984-94 by The MathWorks, Inc.
