% Release Notes Partial Differential Toolbox Version 1.0
%
%
% Additions to the documentation
%
% 1) Entry on initmesh, page 5-37: The property name/property value pair
%    Hgrad with a numeric value (default 1.3) has been added. The parameter
%    describes the growth rate of the mesh size away from a small part of
%    the geometry. Valid property values are between 1 and 2.
%    
% 2) Entry on the Mesh Parameters dialog box, page 3-22: Hgrad (see above)
%    has been added to the dialog box. Valid entries are values between 1
%    and 2.
%    
% 3) Entry on the PDE Coefficients dialog box, page 3-18: Addition to the
%    last paragraph: c can be entered using one, two, three, or four
%    values, separated by spaces. Each value represents one row in c. See
%    the entry on assempde in the "Reference" chapter for a detailed
%    description of the representation of the PDE coefficients.
%    
% 4) The parameters epsilon in the Electrostatics application mode, sigma
%    in the Conductive Media DC application mode, k in the Heat Transfer
%    application mode, and D in the Diffusion application mode can be
%    entered using one, two, three, or four values, separated by spaces,
%    i.e., it is possible to model orthotropic and anisotropic
%    coefficients. For the other nongeneric application modes, isotropic
%    coefficients (one value) must be used.
%    
%
% List of known bugs or potentially inconsistent behavior
%
% 1) Object labels and selection indication "frames" in Draw mode and PDE
%    mode sometimes disappear after zooming.
%
% 2) For the Generic System application mode in pdetool, the c
%    coefficient must be entered with the same structure for all subdomains.
%
% 3) You can obtain information about triangle and node numbers (Mesh mode)
%    or the plotted property (Plot mode) by positioning the cursor and
%    pressing a mouse button. The information is displayed on the
%    information line as long as the mouse button is depressed. For large
%    problems (many nodes) it may take a while for the information to
%    appear.
%
% 4) It is good practice to press the Return key after having filled out
%    any white edit field in the graphical interface. This executes the
%    callback to the edit control. Otherwise you may have to click twice on
%    any action push button to make it react. This is because the first
%    click executes the callback to the edit control.
%
% 5) When new objects are added to the GUI window, the Figure window is
%    brought to the front. This is necessary in MATLAB 4.x, which requires
%    that graphical objects be created in the CurrentFigure only.
%
%
%  Problems that occur on the Microsoft Windows platform only
%
% 6) When iconifying pdetool the contents of the Figure windows may
%    disappear. In this case, select the Refresh item from the Options
%    pull-down menu to make the contents reappear.
%
% 7) Icon buttons in the toolbar may not appear depressed even after
%    pressing them. However, the corresponding function is always invoked.
%
% 8) The clipping of objects does not always work properly when the
%    dimensions of the drawn objects exceed the current axes limits.
%
% 9) You must enable background processing from the MATLAB pull-down
%    menu Options to make the question dialog boxes work.
%
%
% Problems that occur on the UNIX platforms only with black and white monitors
%
% 10) The PDE Toolbox is not supported on these platforms.

%	Lars Langemyr, 11/02 1995.
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.1.1.12 $  $Date: 1995/11/02 11:41:26 $
