% SIMULINK block library.
% Version 1.3c   15-August-94
%
% Block libraries.
%   simulink   - Open main block library.
%   blocklib   - Open block library of most frequently used blocks.
%
% Example S-function models and blocks.
%   simo       - simo model, block diagram form.
%   simom      - simo model, M-file form.
%   simom2     - simo model, M-file form #2.
%   simosys    - simo model, S-function block form.
%   vdp        - Van der Pol model, block diagram form.
%   vdpm       - Van der Pol model, M-file form.
%   mixed      - Mixed continuous/discrete model, block diagram form.
%   mixedm     - Mixed continuous/discrete model, M-file form.
%   limintm    - Limited integrator block, M-file form.
%   vlimintc   - Vectorized limited integrator, M-file form.
%   vdlmintc   - Discrete-time vectorized limited integrator, M-file.
%   sfunc      - Continuous-time model, M-file form.
%   dsfunc     - Discrete-time model, M-file form.
%   sfuncont   - M-file S-function template, continuous-time model.
%   sfundsc1   - M-file S-function template, discrete real-time model.
%   sfundsc2   - M-file S-function template, discrete sampled model.
%
% See also the "simulink" directory off of your main MATLAB
% installation area. This area contains example C and Fortran
% implementations of the above blocks.

% The functions listed below this point are utility routines that are
% used by the above functions to construct the Extras subsystem in the
% block library. They are NOT ordinarily called directly by the user.
%
% Extras library subsystems.
%   extras     - Extras subsystem.
%   extrcont   - Controller library for Extras block.
%   extrconv   - Conversion library for Extras block.
%   extrdisp   - Display library for Extras block.
%   extrfilt   - Filter library for Extras block.
%   extrflip   - Flip-flop library for Extras block.
%   extrlin    - Linear approximation to derivatve and transport delay.
%   extrid     - System identification library for Extras block.
%   extrapid   - PID controller library for Extras block.
%
% Extras library S-functions (M-file form).
%   sftab2chk  - Verify sftable2 inputs.
%   sftable2   - 2-dimensional table lookup.
%   sfuncorr   - Auto- and cross-correlation.
%   sfunid     - System identification.
%   sfunmem    - One integration-step memory block (obsolete).
%   sfunpsd    - Spectral analysis using ffts.
%   sfuntf     - Transfer function analysis using ffts.
%   sfunxy     - X-Y scope using graph window.
%   sfunxys    - Sampling X-Y scope.
%   sfuny      - Scope using graph window.
%   sfunyst    - Storage scope using graph window.
%
% Extras library S-functions (MEX-file form).
%   sftable2.c - 2-D table lookup.
%
% Miscellaneous.
%   filtm        - Analog filter design for extrfilt.
%   slideg       - Sliding Gain block dialog box manager.
%   simulink.hlp - Help text for built-in blocks.

% Copyright (c) 1990-94 by The MathWorks, Inc.
