% SystemBuild 3.0 model import into SIMULINK.
% Version 1.0a    09-Mar-94
% Copyright (c) 1990-94 by The MathWorks, Inc.
%
% Basic Functions
%   opensb	- Open SystemBuild file in SIMULINK format.
%   readsb	- The utility file of opensb, main file.
%   appsave	- Append a variable to an existing file.
%
% Block Building
%   logic_mf	- General logic block M-file.
%   multlchk	- Multi-linear interpolation check up M-file.
%   multlinr	- Multi-linear interpolation block M-file.
%
% Block Conversion
%   sb2slmng	- Second highest level management function for sb2sl.
%   sb2sl121	- Convert blocks with an equal number of inputs and outputs.
%   sb2sl221	- Convert blocks with twice as many inputs as outputs.
%   sb2slc2p	- Convert cartesian to polar block.
%   sb2slc2s	- Convert cartesian to spherical block.
%   sb2slcoo	- Convert axis coordination block.
%   sb2sldat	- Constant reference for the conversion.
%   sb2sldly	- Convert time delay block.
%   sb2slerr	- Print out error message for unsupported blocks.
%   sb2slga	- Convert general algebraic block.
%   sb2slgtb	- Convert gain table block.
%   sb2slgzp	- Convert gain-zero-pole block.
%   sb2slhys	- Convert hysteresis block.
%   sb2slint	- Convert integrator block.
%   sb2sllgc	- Convert logic block.
%   sb2sllit	- Convert linear interpolation block.
%   sb2sllti	- Convert limited integrator block.
%   sb2slmat	- Convert user-defined FORTRAN blocks into MATLAB MEX-files.
%   sb2slmdt	- Provides FORTRAN source code interface for
%		  SystemBuild user block.
%   sb2slml	- Convert multiplication block.
%   sb2slmul	- Convert multi-dimensional interpolation block.
%   sb2slp2c	- Convert polar to cartesian block.
%   sb2slpid	- Convert PID controller block.
%   sb2sls2c	- Convert spherical to cartesian block.
%   sb2slsc	- Convert general signal source blocks.
%   sb2slsft	- Convert shift register block.
%   sb2slspr	- Convert spring-mass-damper block.
%   sb2slss	- Convert state-space block.
%   sb2slswt	- Convert switch block.
%   sb2sltf	- Convert transfer function block.

% $Revision: 1.15 $  $Date: 1994/03/09 17:26:28 $
