%GET_PARAM Returns the value of the desired parameter in a given system.
%
%	GET_PARAM('modelname','parameter'), GET_PARAM('blockname','parameter')
%	returns the value of the specified parameter for either models 
%	or blocks.  
%
%	Blocks have a different set of parameters from models, and
%	different types of blocks have their own specific parameters.
%	Parameter names and ranges are given using the set_param 
%	command. To see a list of parameters associated with the 
%	blocks in your model look at the associated .m file which is 
%	produced whenever you save a model.
%
%	[GS,GB] = GET_PARAM returns the names of the current system (GS)
%	and the current block (GB).  The current system is the most
%	recent system that was clicked in.  The current block is the
%	most recent block within the current system that was clicked on.
%
%	GET_PARAM (SYS, 'Current block') returns the name of the current
%	block within the system SYS.
%
%	See also SET_PARAM.

%	Copyright (c) 1990-94 by The MathWorks, Inc.

