% Symbolic Math Toolbox.
% Version 1.1  1-Mar-95
%
% Calculus.
%   diff        - Differentiate or difference.
%   int         - Integrate.
%   taylor      - Taylor series.
%   jacobian    - Jacobian matrix.
%
% Linear Algebra.
%   inverse     - Symbolic matrix inverse.
%   determ      - Symbolic matrix determinant.
%   linsolve    - Solve simultaneous linear equations.
%   nullspace   - Basis for null space.
%   colspace    - Basis for column space.
%   eigensys    - Symbolic eigenvalues and eigenvectors.
%   transpose   - Symbolic matrix transpose.
%   charpoly    - Symbolic characteristic polynomial.
%   jordan      - Jordan canonical form.
%   singvals    - Symbolic singular values and singular vectors.
%
% Simplification.
%   simplify    - Simplify.
%   expand      - Expand.
%   factor      - Factor.
%   collect     - Collect.
%   simple      - Search for shortest form.
%   allvalues   - Find all values for RootOf expression.
%   symsum      - Symbolic summation.
%
% Solution of Equations.
%   solve       - Symbolic solution of algebraic equations.
%   dsolve      - Symbolic solution of differential equations.
%   finverse    - Functional inverse.
%   compose     - Functional composition.
%
% Variable Precision Arithmetic.
%   vpa         - Variable precision arithmetic.
%   digits      - Set variable precision accuracy.
%
% Transforms.
%   fourier     -  Fourier transform.
%   laplace     -  Laplace transform.
%   ztrans      -  Z transform.
%   invfourier  -  Inverse Fourier transform.
%   invlaplace  -  Inverse Laplace transform.
%   invztrans   -  Inverse Z transform.
%
% Operations on Symbolic Expressions and Matrices.
%   numeric     - Convert symbolic matrix to numeric form.
%   sym         - Create or modify symbolic matrix.
%   symvar      - Determine symbolic variables.
%   symop       - Symbolic operations.
%   symadd      - Add symbolic expressions.
%   symsub      - Subtract symbolic expressions.
%   symmul      - Multiply symbolic expressions.
%   symdiv      - Divide symbolic expressions.
%   sympow      - Power of symbolic expression.
%   symsize     - Size of symbolic matrix.
%   subs        - Substitute for subexpression.
%   numden      - Numerator and denominator.
%   poly2sym    - Coefficient vector to symbolic polynomial.
%   sym2poly    - Symbolic polynomial to coefficient vector.
%   horner      - Nested polynomial representation.
%   pretty      - Pretty print symbolic output.
%   latex       - LaTeX represention of symbolic output.
%
% Mathematical Functions.
%   mfun        - Numeric evaluation of Maple functions.
%   mfunlist    - Special functions for MFUN.
%   zeta        - Riemann zeta function.
%   lambertw    - Inverse of w*exp(w).
%   sinint      - Sine integral, Si(x).
%   cosint      - Cosine integral, Ci(x).
%
% Access to Maple.
%   maple       - Access the Maple kernel.
%   mapleinit   - Initialize Maple.
%   mpa         - Maple assignment.
%   mhelp       - Maple help.
%   procread    - Install a Maple procedure. (Requires Extended Toolbox.)
%
% Pedagogical and Graphical Applications.
%   rsums       - Riemann sums.
%   ezplot      - Easy to use function plotter.
%   funtool     - Function calculator.

% Copyright (c) 1993-95 by The MathWorks, Inc.
% $Revision: 1.26 $  $Date: 1995/03/01 21:38:42 $
