% README file for MATLAB's Symbolic Math Toolboxes.
%
% This line was revised most recently on 1 March, 1995.
%
% Anticipating Future Versions
% 
% These first versions of the Symbolic Math Toolboxes are designed to
% work with version 4.0 or 4.1 of MATLAB and version V, release 2
% of Maple.  The goal has been to provide access to most of Maple with 
% a language syntax that is familiar to MATLAB users.  This has been
% done without modifying either of the two underlying systems.
% 
% However, it is not possible to provide completely seamless integration
% without modifying MATLAB.  For example, if f and g are strings
% representing symbolic expressions, we would prefer to use the notation
% f+g for their sum, instead of symadd(f,g).  But f+g attempts to add
% the individual characters in the two strings, rather than concatenate
% them with a plus sign in between.  Similarly, if A is a matrix whose
% elements are symbolic expressions, we would prefer to use A(i,j)
% to access a individual expression, instead of sym(A,i,j).  But if A is
% a matrix of strings, then A(i,j) is a single character, not a complete
% expression.
% 
% We intend to develop further versions of these toolboxes, to be used
% with future versions of MATLAB and Maple.  As we do so, we will be
% able to provide closer integration and better syntax.  In particular,
% we expect that many of the functions whose names now involve "sym"
% will eventually be replaced by more direct use of underlying MATLAB
% notation.
%
%  ------------
%
% The following changes were made since the User's Guide was printed:
%
%    latex      -- LaTeX represention of symbolic output.
%    singvals   -- Symbolic matrix singular values and singular vectors.
%    funtool    -- Control panel layout revised and new functions added.
%    svdvpa     -- Use singvals instead.
% 
%  ------------
%
% The following changes were made between version 1.0, 26 Sept. 93
% and version 1.0a, 20 Jan. 93:
%
%    symop      -- Clarify HELP entry.
%    symsub     -- Expand scalar before subtraction.
%    symadd     -- Expand scalar before addition.
%    maple      -- Repair argument list, a5 was in there twice.
%    mapleinit  -- Robustify the path to the Maple library.
%    symrat     -- symrat(-inf) should be '-inf'.
%    symvar     -- Eliminate 'e' used in numeric exponent.
%
%  ------------
%
% The following changes were made between version 1.0a, 20 Jan. 94,
% and version 2.0, 1 March 95:
%
% Change from Maple V, Release 2 to Maple V, Release 3:
%
%    SEE FILE toolbox/symbolic/release3.txt
%
% New functions:
%    fourier    -- Fourier integral transform.
%    laplace    -- Laplace transform.
%    ztrans     -- Z transform.
%    invfourier -- Inverse Fourier integral transform.
%    invlaplace -- Inverse Laplace transform.
%    invztrans  -- Inverse Z transform.
%
% Changes and enhancements:
%    eigensys   -- Compute symbolic eigenvalues of integer matrices.
%    funtool    -- Improve user interface.
%    funtoold   -- White demo buttons.
%    maple      -- Better handling of single, nonstring argument.
%    mapleinit  -- Clarify procedure for using another Maple library.
%    pretty     -- Repair bug on PC which led to incorrect punctuation.
%    solve      -- Allow both letters and digits in variable names.
%    symop      -- Put parentheses around more input arguments.
%    symvar     -- Add second argument.

% Copyright (c) 1993-95 by the MathWorks, Inc.
% $Revision: 1.13 $  $Date: 1995/03/01 21:38:43 $
