function w = lambertw(x)
%LAMBERTW Lambert's W function.
%	w = lambertw(x) is the solution to w*exp(w) = x.
%	Ref: Two papers by R. M. Corless, G. H. Gonnet, D. E. G. Hare
%	and D J. Jeffrey, "Lambert's W Function in Maple" and "On Lambert's
%	W Function".  Available as Technical Reports from Dept. Applied
%	Math., Univ. of Western Ontario, London, Ontario, CANADA.

%	Copyright (c) 1993-95 by The MathWorks, Inc.
%	$Revision: 1.7 $  $Date: 1995/03/01 21:38:51 $

w = mfun('lambertw',x);
