% User Interface Utilities.
% Version 1.3   19-Oct-95
%   
% Guidelines and standards.
%   layout     - Script which defines dialog box layout parameters.
%   guiguide   - Comments regarding UI conventions/standards/suggestions.
%
% Dialog boxes.
%   axlimdlg   - Creates and manages the axes limits dialog box.
%   errordlg   - Creates an error dialog box.
%   helpdlg    - Creates a help dialog box.
%   inputdlg   - Creates and manages an input dialog box.
%   matqdlg    - Manages a matq-workspace or workspace-matq dialog box.
%   printdlg   - Dialog box for printing hardcopy of figures.
%   questdlg   - Creates a question dialog box.
%   warndlg    - Creates a warning dialog box.
%
% Help utility.
%   hthelp     - Hypertext help utility for MATLAB help and HTML viewing.
%
% Menu utilities.
%   makemenu   - Create a menu structure.
%   menubar    - Computer dependent default setting for dialog MenuBar property.
%   menulabel  - Parse menu label for keyboard equivalent and accelerator keys.
%   printmenu  - Print pull-down menu structure to the command window.
%   umtoggle   - Toggle "checked" status of uimenu object.
%   winmenu    - Create a submenu for a "Window" menu item.
%
% Toolbar button group utilities.
%   btngroup   - Create toolbar button group.
%   btnstate   - Query the state of a toolbar button group.
%   btnpress   - Button press manager for toolbar button groups.
%   btndown    - Depress a button in a toolbar button group.
%   btnup      - Raise a button in a toolbar button group.
%
% User-defined figure/axes property utilities.
%   clruprop   - Clear user-defined property.
%   getuprop   - Get the value of a user-defined property.
%   setuprop   - Set a user-defined property.
%
% Miscellaneous utilities.
%   edtext     - Interactive editing of axes text objects.
%   extent     - Obtains platform independent text extent property.
%   figflag    - True if figure is currently displayed on screen.
%   fwhich     - Locates files and directories in the MATLAB path.
%   getstatus  - Get the status text string in a figure.
%   inpolygon  - True for points inside a polygonal region.
%   isdir      - True if argument is a directory.
%   ishandle   - True for graphics handles.
%   makecopy   - Make copy of HG object and parent it.
%   matqueue   - Creates and manipulates a figure-based matrix queue.
%   mexext     - Returns the MEX file name extention.
%   newfig     - Returns the "right" figure in which to plot.
%   popupstr   - Get popup menu selection string..
%   setstatus  - Set the status text string in a figure.
%   rectint    - The area of intersection for two or more rectangles.
%   remapfig   - Transform figure objects' positions.
%   repmat     - Replicate a matrix.
%   strmatch   - Find possible matches for a string.

% Utilities.
%   btnicon    - Miscellaneous toolbar icons.
%   dialog     - Primitive dialog creation M-file.
%   htpp       - Hypertext preprocessor for HTHELP.
%   icondisp   - Display BTNICON icons.
%   loadhtml   - HTML parser for HTHELP.
%   matq2ws    - Helper script for matqdlg.
%   matqparse  - Dialog entry parser for matqdlg.
%   ws2matq    - Helper script for matqdlg.

% Copyright (c) 1984-95 by The MathWorks, Inc.
% $Revision: 1.35 $  $Date: 1995/10/20 13:55:12 $
